/*
   This file is part of the MoCA video library.
   Name: FaceImg.cpp
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*! \file

 
  
   \author    Stephan Kopf
   
	Lehrstuhl fuer Praktische Informatik IV
	Universitaet Mannheim
	68131 Mannheim
	Germany
	email: kopf@pi4.informatik.uni-mannheim.de
	
	 (c) Lehrstuhl fuer Praktische Informatik IV, details in COPYRIGHT.txt
	 
*/


// C++ includes
#include <string>
#include <iostream>
#include <fstream>
using namespace std;


// Moca includes
#include<FaceDetection.h>

int main(int argc, char* argv[])
{
	// example: face detection in images
	Image<uint8> src;
	string filename = "define sample file here, e.g. sample.jpg";
	ReadImage (filename, src);

	FaceDetectionParameter param;
	param.inputData = FACE_INPUT_IMAGE;
	param.useColorInfo = true;
	param.verbose = true;
	//param.rotate = true;
	param.defaultFaceSize = FACE_DETECTION_SIZE_LARGE;
	param.threshold = 0.7;

	Image<uint8> dest;	
	list<Face> faces;
	FaceDetection faceDetect (param);
	faceDetect.processImage(src, faces);

	list<Face>::iterator it;
	cerr << "frame\tpx\tpy\twidth\tangle\tweight" << endl;
	for (it=faces.begin(); it!= faces.end(); it++) {
		cerr << (*it);
	} // for

	return 0;
} 
