/*
   This file is part of the MoCA video library.
   Name: HistogramDifferenceTest.cpp
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*! \file

 
  
   \author    Stephan Kopf
   
	Lehrstuhl fuer Praktische Informatik IV
	Universitaet Mannheim
	68131 Mannheim
	Germany
	email: kopf@informatik.uni-mannheim.de
	
	 (c) Lehrstuhl fuer Praktische Informatik IV, details in COPYRIGHT.txt
	 
*/

#include <FileList.h>
#include <HistogramDifferenceFeature.h>

int main(int argc, char* argv[])
{
    if (argc != 4) {
        cerr << "Usage: " << argv[0] << " filename.mpg  bits  skip" << endl;
		cerr << endl;
		cerr << "   filename: name of the MPEG file" << endl;
		cerr << "   bits    : most significant bits, e. g. greyscale: 6-8,   color: 2-5" << endl;
		cerr << "   skip    : skip frames, e. g." << endl;
		cerr << "             skip ==0: caculate histograms comparing frames (0,1), (1,2), ..." << endl;
		cerr << "             skip ==1: caculate histograms comparing frames (0,2), (1,3), ..." << endl;
        cerr << "Example: " << argv[0] << " test.mpg  3  0" << endl;
        return 1;
    } // if

	HistogramDifferenceItem data;

	string mpgFile = argv[1];
	int bits = atoi(argv[2]);
	int skip = atoi(argv[3]);

	HistogramDifferenceFeature hdf (mpgFile, bits, skip);
	hdf.process(data);
	cout << endl << data;

	return 0;
} // main



