/*
   This file is part of the MoCA video library.
   Name: IMpegAudioTest.cpp
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*! \file

 
  
   \author    Stephan Kopf
   
	Lehrstuhl fuer Praktische Informatik IV
	Universitaet Mannheim
	68131 Mannheim
	Germany
	email: kopf@informatik.uni-mannheim.de
	
	 (c) Lehrstuhl fuer Praktische Informatik IV, details in COPYRIGHT.txt
	 
*/

// C++ includes
#include <fstream>
#include <iostream>
using namespace std;

// Moca includes
#include <MocaSignal.h>
#include <AudioDecoder.h>
//#include <OMpegAudio.h>


int main(int argc, char* argv[])
{

    if (argc != 5) {
        cerr << "read MPG-I/II files and save the audio track (mp2)" << endl << endl;
        cerr << "Usage: " << endl;
		cerr << argv[0] << " src(mpg)  dest1(mp2) dest2(mp2) dest3(mp2) " << endl;
        return 1;
    } // if
	string mpegFileName = argv[1];
	string mp2Filename1 = argv[2];
	string mp2Filename2 = argv[3];
	string mp2Filename3 = argv[4];

	try {
		cout << "read mpeg file..." << endl;

		// open mpeg file and start decoder 
		AudioDecoderData data;
		AudioDecoder audio (mpegFileName);
		audio.process(data);

    } catch (MocaException e) {
        cerr << "Mpeg2AudioTest  could not save mp2 file." << endl;
        cerr << e.what() << endl;
        exit (-1);
    } // try
	cout << endl;



	return 0;
} // main

