/*
   This file is part of the MoCA video library.
   Name: SignalTest.cpp
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

#include <iostream>
#include <MocaSignal.h>
#include <GaussFilter.h>


int main(int argc, char* argv[])
{
  if (argc != 2) {
    cerr << "Usage: SignalTest masksize" << endl;
    return 1;
  }

  Signal<uint8> sgl (SignalSize (16));

  sgl(0) = 1;
  sgl(1) = 3;
  sgl(2) = 1;
  sgl(3) = 3;
  sgl(4) = 1;
  sgl(5) = 3;
  sgl(6) = 1;
  sgl(7) = 7;
  sgl(8) = 1;
  sgl(9) = 7;
  sgl(10) = 1;
  sgl(11) = 7;
  sgl(12) = 1;
  sgl(13) = 7;
  sgl(14) = 1;
  sgl(15) = 7;

  indexType i;
  for (i = 0; i < 16; i++) {
    cout << (int) sgl(i) << endl;
  }

  cout << endl;

  GaussFilter<uint8> filter (atoi(argv[1]));
  filter.process(sgl);

  for (i = 0; i < 16; i++)
    cout << (int) sgl(i) << endl;

  return 0;
}



