/*
   This file is part of the MoCA video library.
   Name: SimpleFeature.cpp
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

#include <iostream>
#include <IImageStream.h>
#include <OImageStream.h>
#include <SimpleFeatures.h>

int
main(int argc, char *argv[])
{

    if (argc != 2) {
        cerr << "Usage: " << argv[0] << " image" << endl;
    } // if


    Image<uint8> img;

    // open input filestream and read image
    IImageStream<uint8> iis(argv[1]);
    iis.read(img);

    // print out basic statistics of image
    SimpleFeatures<uint8> features;
    cout << "mean colour: " << (int)features.getMeanColor(img) << endl;
    cout << "min colour: " << (int)features.getMinColor(img) << endl;
    cout << "max colour: " << (int)features.getMaxColor(img) << endl;

    return 0;
} // main
