/*
   This file is part of the MoCA video library.
   Name: VideoAbstractHtml.cpp
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*! \file

 
  
   \author    Stephan Kopf
   
	Lehrstuhl fuer Praktische Informatik IV
	Universitaet Mannheim
	68131 Mannheim
	Germany
	email: kopf@informatik.uni-mannheim.de
	
	 (c) Lehrstuhl fuer Praktische Informatik IV, details in COPYRIGHT.txt
	 
*/

// C++ includes
#include <iostream>
using namespace std;
#include <iomanip>
#include <sstream>

// MoCA includes
#include <Image.h>
#include <IImageStream.h>
#include <IVideoStream.h>
#include <OImageStream.h>
#include <Video.h>
#include <VideoDecoder.h>


int main(int argc, char* argv[])
{

   if (argc != 3) {
	   cout << "Usage: VideoAbstractHtml  filename(mpeg)  destPath" << endl;
	   return 1;
   } // if
	   
	string mpegFileName = argv[1];
	string outPath      = argv[2];

	VideoDecoder vid (mpegFileName);
	int lastFrame = vid.getNumberOfFrames();
	Image<uint8> img;
    
	cout << "read images (0..." << lastFrame << ")..." << flush;
	for (int i=0; i<lastFrame; i++) {
		img = vid.getImage(i);

		// save images        
        string fn = outPath + FileHandling::getNumberedFilename("img", i, ".jpg");
        cout << endl << "save image " << fn << endl;
        WriteImage (img, fn);
	} // for
	cout << endl << "end" << endl;
    
	
	return 0;
} // main

