/*
   This file is part of the MoCA video library.
   Name: MocaConfigWin32.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/


// compiler warnings
#ifdef COMPILER_MSVC
#pragma warning (disable:4305)  
#pragma warning (disable:4786)  
#pragma warning (disable:4800)  
#endif




/* using optimized code for x86 cpu */

#define CPU_x86 true



/* using optimized MMX code */

#define ENABLE_MMX true




/* Define to 1 if you have the <dlfcn.h> header file. */

#define HAVE_DLFCN_H 1



/* Define to 1 if you have the <inttypes.h> header file. */

#define HAVE_INTTYPES_H 1



/* Define to 1 if you have the `gsl' library (-lgsl). */

#define HAVE_LIBGSL 1



/* Define to 1 if you have the `gslcblas' library (-lgslcblas). */

#define HAVE_LIBGSLCBLAS 1



/* Define to 1 if you have the `jpeg' library (-ljpeg). */

#define HAVE_LIBJPEG 1



/* Define to 1 if you have the `mad' library (-lmad). */

#define HAVE_LIBMAD 1



/* Define to 1 if you have the `png' library (-lpng). */

#define HAVE_LIBPNG 1



/* Define to 1 if you have the `sdl' library (-lsdl). */

#define HAVE_LIBSDL 1



/* Define to 1 if you have the <limits.h> header file. */

#define HAVE_LIMITS_H 1



/* Define to 1 if you have the <memory.h> header file. */

#define HAVE_MEMORY_H 1



/* Define to 1 if you have the `sqrt' function. */

#define HAVE_SQRT 1



/* Define to 1 if you have the <stdint.h> header file. */

#define HAVE_STDINT_H 1



/* Define to 1 if you have the <strings.h> header file. */

#define HAVE_STRINGS_H 1



/* Define to 1 if you have the <string.h> header file. */

#define HAVE_STRING_H 1



/* Define to 1 if you have the <sys/stat.h> header file. */

#define HAVE_SYS_STAT_H 1



/* Define to 1 if you have the <sys/types.h> header file. */

#define HAVE_SYS_TYPES_H 1



/* "Inspect test suite errors" */

#define INSPECT_ERRORS 0



/* Name of package */

#define PACKAGE "libmoca"



/* Define to the address where bug reports for this package should be sent. */

#define PACKAGE_BUGREPORT "Stephan Kopf <kopf@informatik.uni-mannheim.de>"



/* Define to the full name of this package. */

#define PACKAGE_NAME "libmoca"



/* Define to the full name and version of this package. */

#define PACKAGE_STRING "libmoca 0.0.1"



/* Define to the one symbol short name of this package. */

#define PACKAGE_TARNAME "libmoca"



/* Define to the version of this package. */

#define PACKAGE_VERSION "0.0.1"



/* The size of a `char', as computed by sizeof. */

#define SIZEOF_CHAR 1



/* The size of a `double', as computed by sizeof. */

#define SIZEOF_DOUBLE 8



/* The size of a `float', as computed by sizeof. */

#define SIZEOF_FLOAT 4



/* The size of a `int', as computed by sizeof. */

#define SIZEOF_INT 4



/* The size of a `long int', as computed by sizeof. */

#define SIZEOF_LONG_INT 4



/* The size of a `long long int', as computed by sizeof. */

#define SIZEOF_LONG_LONG_INT 8



/* The size of a `short int', as computed by sizeof. */

#define SIZEOF_SHORT_INT 2



/* The size of a `unsigned char', as computed by sizeof. */

#define SIZEOF_UNSIGNED_CHAR 1



/* The size of a `unsigned int', as computed by sizeof. */

#define SIZEOF_UNSIGNED_INT 4



/* The size of a `unsigned long int', as computed by sizeof. */

#define SIZEOF_UNSIGNED_LONG_INT 4



/* The size of a `unsigned long long int', as computed by sizeof. */

#define SIZEOF_UNSIGNED_LONG_LONG_INT 8



/* The size of a `unsigned short int', as computed by sizeof. */

#define SIZEOF_UNSIGNED_SHORT_INT 2



/* Define to 1 if you have the ANSI C header files. */

#define STDC_HEADERS 1



/* Version number of package */

#define VERSION "0.0.1"





/* special defines required for msvc 6.0*/

#define for if(0);else for

#define popen _popen

#define pclose _pclose 

#define max __max

#define min __min

