/*
   This file is part of the MoCA video library.
   Name: ContourFeature.h
   Copyright (C) 2004 Oliver Schuster

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: schuster@informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*! \file



   \author    Oliver Schuster

              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim
              68131 Mannheim
              Germany
              email: schuster@informatik.uni-mannheim.de

   (c) Lehrstuhl fuer Praktische Informatik IV, details in COPYRIGHT.txt

   $Id: ContourFeature.h,v 1.1 2004/02/17 11:52:58 kopf Exp $

*/

#ifndef CONTOUR_FEATURE_H
#define CONTOUR_FEATURE_H

// MoCA Includes
#include <Image.h>
#include <Pixel.h>

template<typename T>
struct Crossing {
    Pixel<T> p;
    typename list<Pixel<T> >::iterator i;
    Crossing(Pixel<T> p, typename list<Pixel<T> >::iterator i) : p(p), i(i) {};
    Crossing<T>& operator=(Crossing<T> o) {
        p = o.p;
        i = o.i;
        return *this;
    } // operator=
    Crossing() {};
}; // crossing



/*!



 */

struct ContourFeatureData
{
	list<Pixel<uint8> > data;
};

class ContourFeature
{
public:
    //! the default constructor
    ContourFeature();

    //! the destructor
    ~ContourFeature();

    //! the filter itself
    void process(Image<uint8> &, ContourFeatureData &data);

protected:

private:

    //! check and remove pixel from contour
    void checkPixel(Image<uint8> &, Pixel<uint8> &);

}; // ContourFeature


#endif
