/*
   This file is part of the MoCA video library.
   Name: FaceData3.c
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*********************************************************
  nn3.c
  --------------------------------------------------------
  generated at Sat Jan 18 09:47:15 1997
  by snns2c ( Bernward Kett 1995 ) 
*********************************************************/

#ifdef _WIN32
#pragma warning( disable : 4305 4244)  
#endif

#include <math.h>

#define Act_Logistic(sum, bias)  ( (sum+bias<10000.0) ? ( 1.0/(1.0 + exp(-sum-bias) ) ) : 0.0 )

#ifndef NULL
#define NULL (void *)0
#endif

typedef struct UT {
          float act;         /* Activation       */
          float Bias;        /* Bias of the Unit */
          int   NoOfSources; /* Number of predecessor units */
   struct UT   **sources; /* predecessor units */
          float *weights; /* weights from predecessor units */
        } UnitType, *pUnit;

  /* Forward Declaration for all unit types */
  static UnitType Units[456];
  /* Sources definition section */
  static pUnit Sources[] =  {
Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, 
Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, 
Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, 
Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 

Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, 
Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 
Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 

Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, 
Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 

Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 
Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, 
Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 

Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, 
Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, 
Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, 
Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 

Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, 
Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 
Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 

Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, 
Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 

Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 
Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, 
Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 

Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, 
Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, 
Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, 
Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, 
Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, 
Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, 
Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, 
Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, 
Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 
Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, 
Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, 
Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, 
Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, 
Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, 
Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, 
Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, 
Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, 
Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 
Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, 
Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, 
Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, 
Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 

Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, 
Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 

Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 
Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 

Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 
Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 

Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 

Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, 
Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 

Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, 
Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, 
Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, 
Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, 
Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, 
Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, 
Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 

Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, 
Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, 
Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, 
Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, 
Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, 
Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, 
Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 

Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, 
Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, 
Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, 
Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, 
Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, 
Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, 
Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 

Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, 
Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, 
Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, 
Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, 
Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, 
Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, 
Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 

Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, 
Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, 
Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, 
Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, 
Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, 
Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, 
Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 

Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, 
Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, 
Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, 
Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, 
Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, 
Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, 
Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, 
Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, 
Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, 
Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, Units + 396, Units + 397, Units + 398, Units + 399, Units + 400, 

Units + 401, Units + 402, Units + 403, Units + 404, Units + 405, Units + 406, Units + 407, Units + 408, Units + 409, Units + 410, 
Units + 411, Units + 412, Units + 413, Units + 414, Units + 415, Units + 416, Units + 417, Units + 418, Units + 419, Units + 420, 
Units + 421, Units + 422, Units + 423, Units + 424, Units + 425, Units + 426, Units + 427, Units + 428, Units + 429, Units + 430, 
Units + 431, Units + 432, Units + 433, Units + 434, Units + 435, Units + 436, Units + 437, Units + 438, Units + 439, Units + 440, 
Units + 441, Units + 442, Units + 443, Units + 444, Units + 445, Units + 446, Units + 447, Units + 448, Units + 449, Units + 450, 
Units + 451, Units + 452, 
Units + 401, Units + 402, Units + 403, Units + 404, Units + 405, Units + 406, Units + 407, Units + 408, Units + 409, Units + 410, 
Units + 411, Units + 412, Units + 413, Units + 414, Units + 415, Units + 416, Units + 417, Units + 418, Units + 419, Units + 420, 
Units + 421, Units + 422, Units + 423, Units + 424, Units + 425, Units + 426, Units + 427, Units + 428, Units + 429, Units + 430, 
Units + 431, Units + 432, Units + 433, Units + 434, Units + 435, Units + 436, Units + 437, Units + 438, Units + 439, Units + 440, 
Units + 441, Units + 442, Units + 443, Units + 444, Units + 445, Units + 446, Units + 447, Units + 448, Units + 449, Units + 450, 
Units + 451, Units + 452, 
Units + 453, Units + 454, 

  };

  /* Weigths definition section */
  static float Weights[] =  {
1.295950, 1.186720, -0.061360, 0.623770, 0.451650, -0.776820, 0.736760, 0.981670, -0.277690, -1.310110, 
1.463560, 0.251660, -0.568860, 1.553050, -0.682050, -0.013300, -0.227970, 0.542760, -0.389180, -1.075200, 
-0.196860, 0.379690, 0.234020, 0.588800, 0.422450, -1.044860, 0.415680, -0.397830, -1.044490, -0.598570, 
0.599500, 0.348930, -0.797810, -0.882940, 0.648390, -0.091220, 0.813210, -0.225250, 0.139800, 0.518550, 
-0.109930, 0.529920, -1.235350, -0.329400, 0.135880, 0.314420, -0.531620, 0.234860, 0.414150, 0.531510, 
0.632590, -0.667210, -1.339840, 0.830300, 1.029840, 0.743250, -0.455540, 0.959670, -0.595580, -0.387900, 
0.288090, -1.433890, 0.445120, 1.062680, -0.337510, 0.514270, 1.210090, 0.233540, -0.785100, -0.097740, 
-1.419780, -0.586140, -1.018890, 0.765440, 0.409810, -0.202990, -0.132350, 0.976720, -0.521820, 0.951640, 
-1.132030, -0.424480, 0.142150, -0.220590, 0.680710, -0.191490, -0.081890, -0.209580, -0.246270, -0.168770, 
-0.229140, 0.403020, 0.299710, -0.364320, -0.788440, -1.287860, -0.444160, -1.360950, 0.051660, -0.121390, 

0.757600, -1.205290, 0.560200, 0.972600, 0.553290, 0.714080, 0.234650, -0.211570, -0.152930, 1.011070, 
0.336820, -1.169670, 0.175730, -0.003870, -0.304460, -0.511090, -0.537180, 0.192630, -0.210280, 0.470270, 
0.253630, -0.474860, -0.307210, 1.137490, 0.130270, 0.442280, 0.457380, -0.099320, -0.086410, 0.200220, 
-1.575080, -0.508950, -1.356370, -0.188590, -0.058690, 0.632710, 0.106800, 0.596930, -0.153420, -0.482770, 
-0.577910, -0.568320, -0.671950, -0.194950, -0.339640, -0.021510, 0.547110, -1.419370, -1.463380, 0.161010, 
1.835560, -0.584540, 0.313740, 0.855360, 1.177230, 0.812640, 1.254440, -1.196710, 0.283000, -0.186790, 
0.133390, -0.622950, -0.298560, 0.439020, 1.900110, 2.055590, 0.407420, -0.811010, -0.377280, -0.667040, 
-0.757730, 0.928110, -0.030840, 0.938690, 0.323950, -0.672580, 0.361640, -1.672550, -0.042790, -1.362950, 
-0.063190, 0.848400, 0.944220, 1.096160, 1.324980, -1.306970, -1.703200, 0.652960, -0.278150, -0.024010, 
-0.905050, 0.028150, 0.351290, 0.043190, 0.037340, -1.807960, -1.989980, 0.606740, 0.883010, 0.445910, 

-0.950270, -0.073610, -0.005430, -0.255510, -0.902350, -0.484830, -0.351630, -1.369360, -0.191980, -1.106520, 
1.644930, 1.128720, 1.012830, -0.045930, -0.784020, 0.711230, -0.901800, -0.664010, -0.944270, 0.304010, 
0.589730, 1.081480, 0.095380, 0.713430, 0.364000, -0.034280, -0.979710, 0.673350, -0.249900, -1.173800, 
-1.334370, -1.294470, -0.006390, -1.932380, 0.527770, 1.078600, -1.035970, -0.241870, 0.279390, 0.187660, 
-0.644410, 0.812170, -1.574420, 0.253970, 1.495370, 1.530480, -0.931390, -0.629120, 0.291160, -1.606910, 
-0.161480, -0.596560, 0.890190, 0.347490, 0.991040, 1.084370, 0.694790, 1.765730, 0.242060, -0.649050, 
1.069510, 0.576260, 1.493230, 0.832930, -0.310200, 0.790270, 0.535970, 0.224030, 0.694840, -0.380960, 
0.502840, 0.276140, 0.876610, 0.108020, 0.520190, 0.318170, 1.220850, 0.187310, -0.011650, -0.009900, 
-0.784940, -1.469640, 0.266750, 0.043150, -0.398690, 0.058700, 0.870340, 0.032880, 0.715730, -1.366770, 
1.395350, -0.083430, -0.991850, -0.087640, -0.245140, 0.081960, 0.416190, 0.491740, -0.457790, -0.197350, 

0.816410, 0.144050, 0.361980, -0.022570, -0.725100, -0.324100, 0.985140, -0.185570, -0.196770, -0.652520, 
0.125450, -0.298550, -0.650170, 0.412080, -0.740740, -0.692840, -0.525690, -0.871950, -0.275860, 0.749250, 
0.071510, -0.339490, -1.548290, -1.003080, 0.625620, -0.152700, 0.064020, -0.374590, 0.692780, 0.551070, 
0.178340, 0.136820, -0.452760, 1.065690, 1.098260, -0.218100, 1.960130, 2.254240, 0.773180, 1.038050, 
-0.543430, -0.179180, 0.460520, -0.545380, 0.478430, -0.141030, -0.021290, 1.274850, -0.229900, 0.266930, 
-0.519970, -0.663550, -0.838930, 0.684360, 1.214060, 0.061540, -0.736430, -0.917050, 0.508400, 0.823460, 
-0.021800, -0.478850, 0.885970, 0.594860, -0.404410, -1.169880, -0.148180, -0.473510, 0.741720, 0.686400, 
0.162100, 0.398670, 0.579350, -0.727440, 0.289760, 0.032720, -0.310100, -0.416770, -0.440610, 1.089100, 
1.366670, -0.106370, -0.147400, -0.314270, 0.454400, -0.156040, 0.121210, -1.276220, -1.701130, -0.345690, 
-0.426060, -0.431640, 0.423100, 0.505220, 0.553010, 1.119450, -0.292860, -1.604610, -0.888860, -0.665960, 

-0.686200, -0.130780, 0.698100, 0.851810, 0.487560, -0.204960, -1.502520, -1.507420, 0.573450, 0.239560, 
-0.531010, 0.073160, -0.374270, 0.607780, 0.814100, -1.238860, -1.134470, 0.844560, 1.338390, 0.490150, 
0.716470, -0.104380, 0.202590, 0.539470, 0.389250, 0.296040, -0.834170, 1.256710, 0.158380, 0.492880, 
1.056280, -0.469770, 0.340240, 0.421980, -0.654220, -0.108600, -0.302030, 1.196340, 1.497700, -0.920730, 
1.019410, -0.416220, 0.306770, 0.004110, 0.649600, 0.001060, 1.637120, 1.007770, -0.671410, -0.313160, 
-0.319980, 0.253580, 1.114290, 0.318890, -1.144130, -0.651950, 0.206590, 0.424950, 0.888110, -0.072470, 
-0.750770, 0.770500, 1.970650, 0.014810, -1.528620, -0.883230, -1.187910, 0.349740, 2.300860, 0.390480, 
-0.257650, 0.460300, 1.349470, -0.741690, 0.167700, -0.938510, -0.441410, -0.427730, 1.595000, 1.128010, 
-0.375460, 0.050960, -0.044080, -0.783260, 0.248220, -1.042390, 0.006460, -0.612500, -0.692240, 0.281670, 
0.036020, -0.919890, -0.224530, -0.947850, 0.119670, -0.762810, -1.261010, -2.591330, -2.301870, 0.116860, 

-1.115080, 0.155780, -0.357080, -1.511950, -0.848580, -0.111410, 0.395560, 0.446350, -0.303710, 0.193410, 
1.881180, 0.800210, 0.444250, 0.328120, -1.150990, 0.131280, -0.400290, 0.255740, 0.726790, -0.401960, 
0.265140, 1.085400, 0.752070, 0.037270, 0.335180, 0.096960, -0.275140, 0.811840, 0.820460, -0.463360, 
-0.666330, 0.230710, 1.471830, 0.774330, 0.247870, 0.447950, 0.528390, -0.715890, 0.610720, -0.013960, 
-0.026660, 0.426990, 0.247290, 1.684560, 1.864540, 0.479700, -0.290930, -0.020390, 0.688550, 0.120400, 
1.454880, 0.581860, 0.347920, 0.079450, -0.364860, 0.778860, 0.455410, 1.638800, 0.857500, 0.857960, 
0.825790, 1.289160, 0.568390, -1.230490, -1.480290, -0.478090, -1.063640, 0.173920, 0.643130, 0.186970, 
0.202710, -0.350190, -0.275980, -0.249540, -0.395980, -0.722390, -0.889750, -0.049800, -0.559020, -0.626980, 
-0.101850, -1.594260, -0.850280, -0.735750, -0.942410, -0.118080, -0.233050, -1.769600, -1.378210, 0.383870, 
0.817190, -1.532780, 0.741320, 0.699400, -0.709120, -0.292860, -1.041630, -1.076350, -0.880490, -0.493630, 

-1.325100, 1.028260, 0.452630, -0.624930, 0.450900, 0.533940, -0.381440, 0.052340, -0.275460, 0.232990, 
0.156130, -0.345990, -0.189880, -0.334320, 1.752010, 0.094720, 0.952130, 1.227990, -0.399960, -0.595590, 
-1.109700, 0.724420, -0.681350, -0.160220, 0.330090, -0.267120, 1.612270, 0.560910, -0.537730, -0.009450, 
-0.120620, 0.012550, -0.216290, -0.757420, -0.531680, -1.092950, 1.162790, 0.958990, -0.606050, -0.429290, 
1.103680, 1.617420, 1.816940, -0.591990, -0.343980, -0.419460, 0.304050, 0.405420, 0.451470, -1.618590, 
0.915980, 1.324640, 0.797920, 0.416570, 0.434750, 0.122940, -0.624550, -0.223430, 1.539970, -0.711370, 
-1.320330, 0.474880, 0.261860, 0.201690, 0.595130, -0.812010, 0.216080, 0.443440, -0.107580, 1.288390, 
0.627500, 0.173770, -1.163100, -0.316630, 0.227290, 0.091130, 0.076340, -1.259750, -0.390270, 0.827860, 
0.144480, -0.591800, -0.214520, -0.885050, -0.652110, -0.988330, -0.440940, -0.017260, -1.357850, 0.680140, 
-0.206340, 0.238250, -0.182810, 0.243350, -0.052080, -1.085330, -1.461440, -1.415200, -0.228940, 0.781040, 

-0.772490, -0.103030, -1.182100, 0.509340, 0.746470, 0.364160, -0.256040, 0.671610, 0.241280, -1.093450, 
-0.347080, 0.844760, 0.164870, -0.977130, 0.044280, -0.568040, -0.698100, -0.702990, 1.083360, 0.914880, 
0.625300, 0.584550, -0.139540, -2.380150, -1.018490, 0.511690, 1.337350, 0.294290, -0.802410, 1.303970, 
0.194780, 1.335670, 1.619250, -0.198240, 0.546100, -0.168930, 0.918650, 1.664270, -0.598910, 0.470280, 
-1.164230, 0.327580, -0.390890, 0.935760, -0.189000, -0.388650, 1.089350, 0.631850, -0.645940, 0.712060, 
-0.320160, -0.887000, 1.373980, 0.437010, 0.598680, -1.454560, -1.653250, -1.520070, -0.637200, -1.279470, 
-0.801270, -0.847480, 1.295810, 1.443420, -0.344620, -0.805590, -0.196240, 0.661570, -0.439230, -0.192030, 
-2.205280, -0.687830, 0.715750, 1.119210, -0.130480, -1.025570, -0.202640, -0.491440, 0.626880, 1.048580, 
-0.700990, -1.060550, 0.079300, 0.712950, 0.774270, -0.438890, -1.190150, 0.241630, -0.213360, -1.395510, 
-0.664940, -0.188100, -0.466320, 0.834000, 0.046600, 0.974430, -0.250690, -0.311290, 0.040720, 0.188900, 

-0.405790, 0.653290, -0.562950, -1.904970, -0.873830, 0.303840, 0.726160, 0.790870, 0.112170, -0.011500, 
0.213560, 0.970760, -0.034710, 0.076000, -0.169850, 0.602860, 1.028470, 0.009320, 0.889560, -0.485270, 
-0.290870, 1.112920, 0.722330, -0.138370, -0.148170, 
0.918510, 0.449360, 1.117930, 0.621820, 0.410190, 0.713060, 0.759500, 1.189670, 0.035830, 0.966940, 
0.732430, -0.253320, -0.329640, -0.212520, 0.656690, -0.476050, 0.226850, 0.112380, 0.445460, -0.579500, 
-0.392730, -0.548080, -0.077960, 0.915330, 0.875260, 
-3.013730, -1.638990, -0.301360, 0.865330, 0.711420, -0.941860, -0.401510, -1.272200, 0.370350, 0.844700, 
-0.011480, 0.115700, -0.718870, -0.203820, 1.821000, 0.844470, 0.577640, 0.401880, -0.098580, 0.990680, 
0.909660, -0.402760, 1.012170, 0.068950, 0.871870, 
-1.188790, 0.039660, 0.237020, 0.862280, 0.298670, 0.247270, 0.522700, -0.655840, -0.016020, 1.522330, 
-0.090250, -0.033760, 1.191940, 0.729390, 0.271410, 1.193710, 0.826170, 0.829050, 0.815900, 0.550230, 
0.799470, -0.630230, 0.322300, -1.366090, -0.451240, 
-0.540330, -1.262620, 1.042370, 1.296900, -0.289590, -0.655810, -0.720930, 0.446850, 0.337130, -0.463520, 
-1.517440, -0.594020, 1.183040, -0.263120, -0.781410, -1.147840, 0.467450, 1.491460, 0.391310, -0.771130, 
2.007090, 0.904300, 1.631290, -1.168820, -0.647200, 
1.747880, 0.777490, -0.623150, -1.234530, 0.223280, 1.018790, -0.590030, -0.609040, -0.431180, 0.807610, 
0.197750, -0.617670, -1.125610, -1.071000, 0.765040, -0.306400, -0.219710, -1.362490, -0.571680, 0.199850, 
1.298870, -0.644470, -0.785090, -0.654040, 1.573060, 
-2.143450, -1.492320, -1.037450, 0.030060, -0.709810, -0.243500, 1.429980, 1.643810, 1.446400, 0.742670, 
1.188280, 1.069130, 1.150180, 0.711600, -0.699310, -0.180060, -0.976560, -0.321860, 0.336050, -0.291640, 
0.121870, -0.179220, -1.762580, -0.507010, -1.179700, 
-0.625170, -0.810680, 0.678830, 0.760700, 0.205820, 0.299730, 0.039960, 0.679280, 0.653160, -0.093910, 
0.410000, 0.806170, -1.066230, 0.516770, 0.548650, 0.085000, 0.456520, -1.039530, -0.466700, 0.337150, 
-0.699700, -1.218070, 0.467360, 0.230920, -0.076760, 
0.274100, 0.751170, 0.714520, -0.680230, 0.184330, -0.695100, -0.675240, 0.433440, 0.552050, 0.053830, 
0.436400, 0.836010, 0.654950, 0.903920, -0.627080, -0.415810, 0.132440, -1.455430, 0.574020, 0.653780, 
0.015220, -0.469160, -0.465230, -0.693740, -0.844890, 
1.784830, 0.882270, 1.666950, -0.349380, -1.058230, -0.882540, -1.174010, -0.614160, -0.158340, -0.940750, 
-0.869250, -1.210670, -0.140580, -0.136040, 0.585020, -1.310540, -0.590410, -0.250810, 0.826420, 1.143440, 
-0.470040, 0.021430, 0.907810, 0.113010, 0.084460, 
-0.783510, -0.011980, 0.984320, 1.043350, -0.065780, 0.207560, -0.512900, -0.096240, 0.939500, 1.181440, 
0.360970, -0.948940, -0.386570, 1.099230, 0.301860, -0.016220, -1.394500, -0.870580, 1.206470, 0.479560, 
0.231870, -2.122720, -0.658540, -0.238570, 0.849160, 
-0.357610, -0.522380, 0.676050, 0.847660, -0.357470, 0.943840, 2.249830, 0.570980, 0.889430, 1.565730, 
2.232550, 0.762200, -0.475320, -0.661530, 1.066070, -0.932270, -0.241140, -0.201410, -0.983420, 0.119600, 
-1.421320, -1.136830, -1.968820, -1.145830, -0.780550, 
-0.916950, 0.125850, -1.110550, -0.072530, 0.294750, -0.956040, -0.401490, 0.047020, -0.405240, -0.363810, 
-0.444040, 0.268720, -0.519820, 0.393890, -0.723630, 1.015650, -0.700550, 0.073550, -0.789840, -1.040840, 
1.042740, -0.391680, 0.392260, -0.879270, -0.676950, 
1.059660, 0.906550, -0.121190, 0.278410, -0.096900, -1.070080, -0.865040, -0.521270, -0.521090, 0.913130, 
0.800190, 0.615350, -0.665950, 0.651620, 0.337960, -0.551970, 1.019080, 1.308840, 0.361090, 0.205760, 
0.159890, 0.904540, 0.823580, 1.237900, 0.768710, 
0.919740, 0.284060, 1.178960, 1.447900, 1.512090, -0.015350, 0.438490, 0.051180, -0.477980, 1.074570, 
-0.625290, -1.652470, -0.631290, -0.328110, -0.340030, 1.212220, 0.029540, 0.490890, -0.149240, -1.506680, 
-0.371010, 0.123630, -0.694830, -0.009560, 0.142970, 
0.359520, 0.660380, -1.161400, -1.314790, 1.005520, 0.197910, -0.212660, -1.435170, -0.780690, 0.674940, 
0.958670, -0.372400, -0.961680, -0.161340, -0.117000, 0.337090, 0.099550, 0.398540, 0.357730, 0.641950, 
-0.675560, -0.680720, 0.369710, 0.657340, 0.572120, 
1.571450, 0.207790, -0.614400, -0.226820, -0.409670, -0.866860, -0.351740, -0.569400, -1.309260, -1.523590, 
-0.082430, -1.518420, 0.453620, -0.206590, -0.339660, -0.592810, 0.564160, 0.651050, 0.717340, 1.177670, 
0.408190, 1.174250, 0.909040, 0.234200, -0.566960, 
-1.053230, -2.225900, -1.681190, -0.585580, -0.307310, 1.676480, 0.199970, -0.477190, 0.786800, 1.121160, 
2.144520, 0.533540, -0.301280, -0.382560, 0.613770, 0.821150, 0.733350, 0.232070, 0.741240, 0.801850, 
-0.399560, 0.367990, -0.820370, -0.762390, -0.336630, 
0.075820, 0.286170, 0.599180, 0.145770, -1.357780, 0.819940, 0.027470, -0.982060, -0.181000, -0.755100, 
-0.478330, -0.469730, -1.065430, 0.714400, -0.384660, 0.424120, 0.697190, 0.867430, 0.343660, -0.525650, 
-0.637900, 0.896460, 0.683830, 0.036790, -0.781910, 
-0.916220, -0.487860, 0.013660, -0.264080, 0.416020, 0.537030, 0.761250, 0.607600, -0.331460, 0.345900, 
-2.172800, -1.539140, -1.251670, 0.186860, -0.282100, 0.088200, 0.410390, -0.033480, -1.193420, 0.251060, 
1.126700, 1.155770, 1.000960, 1.092130, 0.696080, 
0.921050, 0.838470, 0.984880, -0.203360, 1.907480, -0.015310, -0.023550, -0.432100, -0.474330, 0.263300, 
-0.464250, -0.811840, -1.531540, -2.018490, -1.115230, -0.874310, -0.342550, 0.695600, -0.876150, -0.628350, 
-0.311160, 0.961840, 0.934940, 0.565080, -0.099380, 
-0.008970, -0.638860, -0.016170, -0.173040, 0.213860, -0.433440, 0.081010, 0.608800, 0.173980, 0.790980, 
0.850510, 1.406470, 0.320890, 1.242770, -0.470710, -0.003440, -0.170420, 0.370050, -0.040720, 0.802020, 
0.766770, -0.221190, -0.904000, -0.131490, 1.031600, 
-0.296690, 1.130520, 0.002170, 0.337020, -1.182080, -0.797780, 0.537400, 0.640930, 0.006650, -0.356890, 
-1.244980, 1.141950, -0.192370, 0.515910, 0.297980, -1.024040, 1.044120, 0.089660, 0.199290, 0.460050, 
-0.739820, 1.120980, 0.750420, 1.487760, -0.769260, 
0.239080, -0.602340, -0.785970, -0.564160, -0.904800, -0.087680, 0.540450, 0.574590, -1.100630, 0.818470, 
0.113110, 0.789250, 0.120280, 0.568870, 0.321270, 0.648780, 1.206830, 0.956540, -0.327350, 1.094140, 
0.229170, 0.307080, 0.022930, -0.281020, 1.214560, 
-1.075380, -1.137740, 0.076170, -0.213310, 0.398780, -1.242660, -0.984050, 0.111580, -1.135860, -1.976150, 
-0.116850, -0.204120, -0.359720, 0.181020, -1.552780, -0.133160, 1.356340, 0.825680, 1.080690, -0.353780, 
-0.065170, 1.111520, 0.259370, 2.177620, 0.941260, 
0.391450, 0.576250, 0.954620, -0.677070, 0.424890, -0.624700, -0.699060, -0.457560, -0.670480, -0.588860, 
0.097390, -0.366190, 0.420760, -1.048420, -0.699940, -0.599100, 1.481540, 0.636940, 0.113730, 0.786240, 
1.397360, -0.141000, 0.528640, 1.763520, 0.565440, 
0.743870, -0.384410, -0.048400, 0.730960, 0.303070, 0.626290, -1.519100, -0.229040, -0.511240, -0.600960, 
1.369120, -0.562240, -1.984330, -0.755010, -0.900140, 1.303350, -0.948920, -0.884690, 1.115300, 0.141160, 
0.031970, -1.014460, 1.563480, 1.462540, -0.602710, 
-0.093440, -0.826590, -1.452260, -0.590650, -0.413010, -0.155350, -0.147950, 0.256080, 0.179420, 0.582220, 
-0.218300, -1.119580, 0.467560, 0.425430, 0.712570, -0.131970, 1.070920, -0.401040, -0.800300, 0.144550, 
-0.751330, 0.677970, -0.801430, -1.060210, -0.637450, 
-0.787520, 0.400960, 0.661680, 0.361550, -0.272180, -0.998600, 0.576970, 0.385370, 0.914260, 0.943160, 
-0.845830, -0.071570, -0.503040, 0.828000, 0.615970, -0.610880, -0.487060, 0.288860, 0.745300, 0.505520, 
-1.050330, -0.848260, 0.299300, -0.570420, -0.205960, 
-0.548040, 0.298050, 0.952370, 1.979050, 0.702350, 0.720340, 0.903480, -0.036290, 0.824960, 0.505950, 
0.726800, 0.030810, -0.495530, 0.085900, -0.534360, -0.035220, -0.471410, -1.091790, 0.138080, -0.018590, 
-0.655040, -1.863770, 0.355520, 1.154180, 0.863480, 
-0.131810, -0.659160, 0.292890, 0.865860, -1.189040, 0.343540, 0.053360, 0.233680, 0.226720, -0.367600, 
-0.103850, 1.241080, -0.330450, -0.817480, 0.248170, 0.330730, 0.141050, 0.718160, 0.578710, 0.858220, 
-0.747230, 0.080500, 1.460060, -0.232350, 0.456680, 
0.344800, -1.134620, -0.534770, 0.395630, 0.917350, 0.204640, 0.771320, -0.057280, -0.726200, -0.791830, 
0.125800, 0.181670, 1.150230, -0.597490, 0.926570, -0.396380, 0.779590, -0.277400, -0.560850, 1.054850, 
0.512660, -0.888610, 0.741310, -0.756440, -0.367250, 
0.483740, 0.035040, 0.432260, -0.828010, -0.401070, 1.349220, 0.763760, -0.234500, -0.933540, -0.976230, 
-0.064550, 0.660180, -1.868060, -0.887330, -1.479990, -0.006820, -1.293540, 0.016410, -0.208780, 0.177090, 
0.217900, -0.865120, 0.654510, -0.760520, 1.175160, 0.103380, 0.595560, -1.028820, -1.310150, -0.076630, 
0.177950, 1.651720, 1.552390, -1.043770, -0.130870, 1.463270, -0.023650, 0.740420, -0.272140, -1.304960, 
0.149470, 0.249230, 1.775060, 0.499690, 1.108540, -0.236370, 1.016000, -0.817880, -0.287020, -1.075990, 
-0.582500, -0.093230, 0.802200, -0.546930, 0.564110, -0.340970, 0.791430, -0.101010, -0.410300, -1.403980, 
-0.149480, -0.903230, -0.932330, 0.447390, 1.894260, -0.728190, -1.162300, -1.241110, -1.662810, -1.143400, 
0.250230, -0.713810, -1.156600, -0.091180, 1.284990, 0.918070, 1.052550, -0.319100, -1.067760, -1.160590, 
0.781330, -0.019990, 0.175350, 0.393140, -0.025960, 0.201030, 0.565050, 0.563140, -0.520090, -0.178230, 
0.039650, -1.003610, -0.656500, 0.158190, 0.215850, 0.805260, -0.218520, 0.980020, -0.119440, 0.641510, 

0.270140, -0.116770, 0.552030, -1.221300, -0.704300, -1.160630, -0.149890, -0.807830, 0.286850, 0.004020, 
0.413300, 0.881040, -0.968470, -0.524310, -0.159030, -0.571010, -0.291980, 0.220480, 0.039250, 0.479370, 
1.262630, 0.075060, 0.200910, 0.018820, -1.333840, -0.965450, 0.722660, -0.121420, 1.138810, -0.043110, 
1.496780, 1.191310, 0.760660, 0.549880, 1.436310, 0.822120, -0.562280, -0.920040, -0.313630, 0.595250, 
0.452390, 1.088420, 0.133570, -0.114160, -1.003900, -2.383280, -1.574610, 1.233070, 0.611860, 1.104430, 
0.220140, 2.254830, -0.721080, 0.459820, 1.529140, 1.428060, 0.851740, -0.622170, -0.435520, 0.285860, 
-0.424000, 0.500770, -0.492640, -0.512740, -0.651040, -1.997370, -0.403520, -0.515300, -1.312800, -0.394980, 
0.874600, 1.674250, -0.539420, 0.150050, 1.806690, 1.005350, -0.014620, 0.141220, 0.682620, -0.571300, 
-0.560570, -0.894030, 0.842960, 0.624610, -0.244630, 0.097160, -0.333630, -1.771300, -0.865410, 0.857890, 
-1.449910, -1.007400, -1.722220, 0.146230, 0.744030, 0.767580, -0.481120, 0.536020, -0.322220, 0.577490, 

-1.239360, 0.182480, 0.387040, 0.633940, -0.135440, 0.503300, 0.352010, 0.555260, -0.759840, 0.340170, 
0.525840, 0.788380, 0.129320, 0.941070, -0.755020, 0.214490, 0.084960, 0.012500, 0.872190, -0.986230, 
-1.091610, -2.059100, -1.152620, 0.163720, -1.113420, -0.578380, 0.956970, 0.854220, -1.151390, -1.223770, 
0.051770, 0.204810, -0.268080, 0.200230, -1.259040, -0.231730, 1.018950, 0.593860, -0.224980, 1.012490, 
0.696570, 0.309840, -0.946970, -0.940000, -1.159860, -0.616840, 0.872960, 0.006860, -0.116710, 0.487960, 
-0.156980, 0.641750, 1.120470, -0.647690, -0.347950, -0.371980, 0.914250, 1.176670, 0.206270, 1.475080, 
-0.608640, -0.251280, -0.106600, -0.573230, -0.310270, 0.814520, 0.162850, 0.247230, -0.284840, 0.040310, 
1.046600, -1.164420, -0.307380, 0.614370, -0.770550, 0.838950, 0.785120, 0.422040, -0.022390, 0.274800, 
-0.278330, -0.110860, -0.638970, 0.166990, -0.939130, 0.499950, -0.766060, -1.172200, -0.436690, -0.611610, 
0.404970, -0.255980, -1.162380, 0.694650, 0.520090, 0.175230, -0.127230, -0.911180, 0.704840, -0.743270, 

1.385990, 0.119560, -0.961780, -0.187230, -0.263760, 0.841160, 0.727370, 1.568370, 1.031900, 1.024550, 
-1.043560, -1.126840, -0.866720, -0.968200, -0.152930, -0.212600, 0.029210, 0.266880, 0.221850, -0.889850, 
1.384590, 0.070310, 0.465500, 0.498270, -0.132240, -0.528720, -0.372460, -0.745280, 1.243490, 0.041170, 
0.499990, -0.414730, -0.927510, 0.098220, -0.447860, -0.025440, -0.037290, -0.402290, 0.500290, 0.598810, 
1.664750, 0.543780, -0.398590, 0.169580, -0.038540, 0.328090, 0.236350, 0.941220, -0.195710, 0.013200, 
0.126260, -0.642130, 0.415360, -0.433260, -0.212320, 0.778240, 0.436920, 0.336600, -0.160240, -0.023340, 
1.197050, -0.031650, -0.825760, -1.368390, -0.424040, -0.886870, 0.079740, 0.469640, 0.912360, 0.489850, 
-1.191450, -0.011210, 0.017960, 0.291360, -0.420670, -0.233340, -0.077030, -0.436540, 0.497490, 0.800430, 
1.169640, -0.313590, -0.288990, -0.995760, -0.677590, 0.943210, 0.476080, -0.335380, -0.332360, 1.041720, 
0.584070, -0.859760, -0.311490, -0.737350, -0.167390, -0.384110, 0.273120, -0.078230, -0.698010, 0.725580, 

-0.204460, -0.722060, -1.224090, -1.005000, -0.817070, -0.644350, -0.572430, 1.063520, -0.864320, 0.481280, 
-0.408080, 0.146310, 0.569070, -0.050530, -0.185460, -0.152630, -1.222290, 0.266240, 0.397320, -0.327360, 
-0.968520, -1.485540, 0.001270, -0.518110, 0.048830, 0.319350, 1.379430, 0.112530, 0.610260, -0.202960, 
0.499820, 0.004630, -0.734610, 0.441120, 0.711590, 0.228340, -0.473170, 0.114070, 0.205050, -0.992280, 
0.234040, 0.252180, -0.211750, 1.121840, 0.462720, -0.025520, 0.579450, 1.507020, -0.267600, 0.738120, 
-0.833770, -0.047540, 0.518520, 1.289170, 0.886450, -1.100230, -0.401100, -1.154260, -1.335310, 0.242950, 
0.274550, -0.232400, 0.600110, 0.266900, -0.233500, 0.894040, 0.326200, 0.247490, 0.062820, 0.656200, 
-0.145600, -0.081370, 0.776790, 0.444060, 0.070740, 0.093380, -0.157800, 0.172460, 0.481940, 0.595790, 
1.225010, 0.353660, -0.243420, 0.625870, -0.768340, 0.636770, -0.677330, 0.129130, 0.618440, -0.324730, 
0.874980, 0.467220, -0.105770, 0.579500, 0.011620, -0.442300, 0.421490, -0.056160, 0.396780, -0.635310, 

-0.891080, -0.535030, -1.031890, -0.458350, -0.605680, -1.040660, 0.781560, -0.831330, -1.041460, 0.903180, 
1.655340, 0.321640, -0.995990, -0.033010, 0.600980, 0.951760, 0.558060, 1.457650, 0.924320, 0.557320, 
-0.586690, -0.492050, -1.009310, -1.084380, 0.111850, 0.735060, -0.144010, 0.532090, 0.004050, -1.810820, 
0.936780, 1.160730, 0.209140, -0.054330, 0.839710, 0.247920, 0.182610, -0.768100, 1.608750, -0.466350, 
-0.233910, -0.542910, 0.495490, -1.285260, -0.667230, -1.759750, -0.279890, 0.025680, -0.746330, -1.007530, 
0.056720, 1.205490, 0.664460, -0.433880, 0.741890, 0.824440, -0.271670, 0.344850, -0.275640, 0.429210, 
0.653980, -0.722540, 0.290630, 0.624680, -0.212980, 0.572940, -0.023800, 0.236720, -0.452580, -1.069460, 
-0.062620, -0.079730, 0.906240, 0.568550, -0.176740, 0.827680, -0.073160, -0.733460, -1.201290, -0.612280, 
0.257550, -0.119780, 0.769950, 0.230890, 1.029680, 0.889900, 0.255040, -0.607740, 0.250240, -0.382740, 
0.338840, -0.100180, -0.459580, -0.887750, 0.343880, 0.421680, 0.748190, 0.494940, -0.406570, 1.392810, 

-0.908510, -1.554570, -0.552540, 0.770540, 0.123460, -0.195580, 1.307940, 1.082020, -0.583900, -1.165330, 
-0.372680, 0.213330, 0.111720, 0.599740, 0.927340, 0.903620, 0.357040, -0.497160, -0.530270, 0.406310, 
0.167600, -0.759160, -1.243720, 0.466130, 0.836170, 0.046880, -0.365630, 0.234750, 0.341330, -1.731450, 
-1.394130, 0.122890, 0.430800, 0.795070, 0.755440, 0.353050, -0.030380, -0.616000, -0.201990, 0.760150, 
-0.929010, -0.921110, 0.301370, -0.550670, 0.514630, -0.537980, 1.042000, -0.519610, -1.180730, -1.283380, 
0.256610, 0.111410, 0.244690, 0.097690, -0.489240, 1.125980, 0.579810, 0.299040, 0.859410, 0.364680, 
-0.712380, 0.280060, -0.751090, 0.010510, -0.489580, 0.185790, 0.064860, -0.832420, -0.646570, 0.177340, 
-0.197180, -0.285560, -0.804600, 0.662150, -0.578990, -0.200420, 0.862610, 0.202630, -0.816320, 0.556690, 
-0.824340, -0.606130, 0.470960, -0.238060, 0.437750, -0.869620, 0.591680, -1.343740, 0.494840, -0.383480, 
0.095860, -0.445300, 0.282340, -0.205660, 0.675830, 0.032610, 0.910550, 0.181320, 0.713110, 0.758310, 

-0.092330, -0.483980, -0.306800, -0.318600, 0.024340, 0.339950, -0.499040, -0.827200, -0.848960, 0.144290, 
-0.660240, -0.760460, -0.366540, 0.347370, -0.409340, 0.146890, -0.566690, -0.348990, -0.656520, 0.439840, 
0.508890, -0.662670, -0.642680, -0.552380, 0.808810, -1.060410, 0.065070, -0.614500, -0.923500, -0.915960, 
0.464740, -0.918440, -1.891230, -1.601680, -0.327210, 0.067380, 0.242670, 0.477790, -0.141990, 0.226830, 
0.695300, 0.635990, 0.205100, 0.652550, 0.589680, 0.892010, 0.005650, 0.374240, 1.267400, 0.121480, 
-0.141010, -0.032310, 0.005870, 0.454430, -0.292480, 0.405050, -0.186490, 0.040310, 0.399790, 0.264170, 
0.072280, 0.275860, 1.614100, 1.385180, 1.189980, -0.471430, 1.886340, 0.782660, 1.017860, -0.640650, 
-0.314670, 0.102900, 0.138760, 2.147080, -0.007430, -0.753190, 0.837570, 1.122210, 0.743020, 0.826890, 
-0.156670, 0.129250, -0.339260, 0.783360, -1.054070, -0.022330, -0.671530, -0.082100, 0.895730, -0.722030, 
0.298190, -0.794360, 1.196920, 0.743840, -0.388360, -0.640080, -0.637500, -0.408650, -0.846330, 0.274140, 

-0.040960, -0.522040, 0.632380, 0.172360, -0.084750, 0.190600, 0.731370, -0.195550, 1.921150, 0.907010, 
-0.527150, -0.388400, -0.055830, 0.697920, 0.079470, 0.571080, 0.696920, -1.092220, 0.158550, 0.542700, 
0.362490, -0.084270, -0.067890, -1.745270, 0.384520, -0.720670, 1.166630, 1.161970, 1.222930, 0.389460, 
1.076630, 1.769780, 1.247290, 0.846050, 0.261920, 0.388890, 0.112820, -0.642830, -1.464370, -1.216890, 
0.655210, -0.471470, -1.580970, -0.253160, 0.389470, 0.857000, 1.488100, 0.884700, -0.948140, -1.308450, 
0.395170, 0.131700, -0.106480, 1.302490, 0.028940, -1.515770, -0.212450, 0.589030, -0.399710, -0.268720, 
-0.669180, -0.137650, -0.317810, -0.652640, -1.378570, 0.274640, -0.445470, -2.007280, -0.295270, 0.167690, 
-0.131360, -0.319910, -0.060550, -0.645960, 0.266810, -0.543790, -1.508400, 0.791230, 0.043800, 1.253010, 
-0.541310, 1.226060, 0.952490, -0.226190, -0.972550, 0.370730, -1.254240, -0.910340, 0.366170, 0.123440, 
0.496580, 0.355630, -0.534300, -0.459110, -0.460830, 0.642490, -0.524550, 1.082850, 0.815310, 0.225760, 

-0.436980, -0.480500, 0.883830, 0.887890, 0.979530, -1.020580, 0.030200, -0.023790, 0.768390, 0.130090, 
-1.310630, -0.424780, -1.262050, -0.928320, -0.212930, 0.070020, 0.156550, -0.681600, 0.914680, -0.919810, 
-1.136410, 0.813030, 0.246170, 0.606560, 0.382070, 1.004650, -0.879810, -0.613670, 0.087980, -0.759310, 
0.570430, 0.253340, 0.011300, -0.577230, -0.860960, 0.570850, -0.892560, -0.185860, 0.155900, -1.469730, 
1.690980, 1.681020, 1.672660, 0.328260, -0.472940, -0.187060, -0.839810, -0.948440, -0.854350, -0.978050, 
0.094410, -0.946240, 1.315130, -0.682880, 0.481410, 0.019020, -0.396590, 0.648520, -0.638200, -0.274910, 
1.910840, 0.470450, 1.749490, 0.087310, -0.138210, 0.282190, -0.176570, 0.338860, -1.508480, 0.411210, 
0.275580, -1.739810, 0.409210, 0.967740, 0.956020, -0.513900, -0.575320, 0.801880, -0.620040, 0.233100, 
0.448610, -0.008970, 0.194050, 0.034990, 0.186200, 0.607050, 0.177310, 1.462490, -0.141990, -0.524410, 
-2.060500, -1.078590, 0.685000, 0.632680, 0.089480, -0.420830, 0.842850, 0.968370, 0.032390, -0.158250, 

0.786390, 0.551900, -0.174680, -1.944000, -1.227010, -1.303780, -1.005270, -1.604210, -0.184410, 0.769280, 
-0.099010, -0.365900, -0.145240, -0.662080, 0.260920, 0.885070, 0.636610, -0.133780, -0.210830, -0.096360, 
0.835160, -1.043550, -0.919700, 0.258700, -0.098200, 0.031850, -0.092460, -0.746390, -0.349000, -1.123760, 
0.097610, 1.061730, 0.070120, 0.421700, 0.835200, 0.827460, -0.810300, 0.588370, 0.300770, 0.152010, 
0.339040, 0.818300, -0.118360, -0.103480, 0.298310, -0.521190, 0.103520, -0.341220, 0.584630, -0.642720, 
0.439900, 0.631590, -0.482020, -0.037820, 0.546620, 0.164730, 0.663540, 0.670010, 1.016010, -0.019320, 
0.678080, -0.498730, 0.272510, -0.264340, -0.642120, -0.415790, -0.147990, -0.844550, 0.282400, 0.747350, 
1.145210, 0.040190, -0.642160, -1.042800, -0.182080, 0.415810, 0.705960, -0.359680, 0.011200, -0.431450, 
-0.197890, 0.705540, 0.579540, -0.146600, -0.089710, -0.177440, -0.341610, -0.520040, -0.713570, 0.417470, 
-0.871580, 1.448520, 0.577710, -0.380230, 0.180360, -0.490810, 0.629480, 0.518110, -0.637450, 0.510190, 

-0.500470, 0.485060, 1.345110, -0.806210, 0.548640, 0.915850, -0.005550, 0.338460, -1.699340, 0.635830, 
0.448990, 0.469140, -0.316040, 1.121300, -0.701130, 0.293100, 0.025660, 0.084880, 0.788750, 0.776090, 
0.133320, -0.319960, -0.404390, 0.554420, -0.414230, 0.152480, 1.535080, -0.332000, -0.855600, 0.528180, 
1.278160, 0.486270, 0.232250, -0.020630, 1.168060, 0.113910, 0.178200, -0.060770, 1.207090, 1.217010, 
-0.565460, 0.416050, 0.173550, 0.782020, 0.727760, 0.382300, 0.260750, -0.246560, -0.709400, 0.645440, 
0.032630, -0.078620, -0.047650, -0.729280, 0.709880, 0.311890, 0.058860, 0.321580, -0.053140, -0.091290, 
1.168480, 1.109880, 0.009490, 0.753120, 0.551780, 0.658850, -0.085320, 0.752020, -0.296360, -0.147160, 
-0.332590, 1.353300, -0.902510, -0.757250, -0.530010, 0.555540, 0.335250, 0.044480, -0.621460, 0.756140, 
0.207940, -1.060830, 0.258730, -0.569270, -0.694460, -0.188730, -0.411180, -1.021020, -1.167460, -1.401350, 
0.870150, 0.206860, -0.550480, -0.156350, -1.878650, -0.997040, -1.731570, -1.153780, -0.716470, -0.384890, 

1.260380, -0.439810, 1.031630, -0.325850, 0.550100, 0.302610, -0.626890, -0.933450, 0.023830, 0.724460, 
0.135550, -0.751530, 0.350850, -1.619690, -1.303970, -0.617290, -0.061840, 1.653720, 1.081520, -1.095050, 
1.207390, 0.225280, 0.092020, 0.884690, -0.461520, 0.328160, 0.176410, -0.498320, -0.511680, 1.229320, 
-1.570560, 1.581840, -1.060170, -0.456830, -0.843220, -2.306390, -0.991770, -0.088650, 0.034990, 0.792970, 
0.376330, -0.838620, 0.186790, -0.101220, -0.923600, 0.276330, -1.174370, -1.400650, 0.231410, -0.978290, 
1.954790, 0.610620, 
-2.873460, -3.532860, -3.859880, 2.331230, -4.639430, -3.723010, -3.779070, -4.301420, -0.806490, -0.731510, 
-2.670510, -1.368340, 2.098850, 2.727220, -3.253890, -0.272900, -1.566510, -3.008010, -1.955360, 2.697810, 
0.566540, -1.973350, -1.807660, -1.368860, -2.452640, -2.104780, -0.828910, -2.735660, -2.435700, 0.826480, 
-2.112960, 1.336310, -3.317180, 1.860130, 1.678160, -0.108920, 2.360570, -2.114310, -1.263780, -0.551000, 
-3.214220, 4.167230, -2.114520, -3.275580, 2.273380, -2.956180, -2.027460, 2.776230, 4.471480, 2.529870, 
1.768750, -2.552150, 
-3.603250, 7.908170, 

  };

  /* unit definition section (see also UnitType) */
  static UnitType Units[456] = 
  {
    { 0.0, 0.0, 0, NULL , NULL },
    { /* unit 1 (Old: 1) */
      0.0, 0.207070, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 2 (Old: 2) */
      0.0, -0.680970, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 3 (Old: 3) */
      0.0, 0.293330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 4 (Old: 4) */
      0.0, 0.106830, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 5 (Old: 5) */
      0.0, 0.362610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 6 (Old: 6) */
      0.0, -0.772860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 7 (Old: 7) */
      0.0, 0.968830, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 8 (Old: 8) */
      0.0, -0.168180, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 9 (Old: 9) */
      0.0, 0.681260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 10 (Old: 10) */
      0.0, 0.232570, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 11 (Old: 11) */
      0.0, -0.382010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 12 (Old: 12) */
      0.0, 0.882280, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 13 (Old: 13) */
      0.0, -0.799710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 14 (Old: 14) */
      0.0, 0.672910, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 15 (Old: 15) */
      0.0, 0.681860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 16 (Old: 16) */
      0.0, -0.066130, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 17 (Old: 17) */
      0.0, -0.208290, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 18 (Old: 18) */
      0.0, -0.165400, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 19 (Old: 19) */
      0.0, 0.460060, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 20 (Old: 20) */
      0.0, 0.219040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 21 (Old: 21) */
      0.0, 0.413200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 22 (Old: 22) */
      0.0, -0.484750, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 23 (Old: 23) */
      0.0, 0.402950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 24 (Old: 24) */
      0.0, 0.848920, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 25 (Old: 25) */
      0.0, 0.190030, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 26 (Old: 26) */
      0.0, -0.714760, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 27 (Old: 27) */
      0.0, -0.883940, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 28 (Old: 28) */
      0.0, -0.325660, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 29 (Old: 29) */
      0.0, -0.692950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 30 (Old: 30) */
      0.0, 0.994490, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 31 (Old: 31) */
      0.0, 0.075240, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 32 (Old: 32) */
      0.0, -0.065190, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 33 (Old: 33) */
      0.0, -0.575750, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 34 (Old: 34) */
      0.0, 0.468780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 35 (Old: 35) */
      0.0, -0.965500, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 36 (Old: 36) */
      0.0, 0.386430, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 37 (Old: 37) */
      0.0, -0.201710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 38 (Old: 38) */
      0.0, -0.217430, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 39 (Old: 39) */
      0.0, 0.575120, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 40 (Old: 40) */
      0.0, -0.771790, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 41 (Old: 41) */
      0.0, 0.390690, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 42 (Old: 42) */
      0.0, 0.696280, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 43 (Old: 43) */
      0.0, 0.324680, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 44 (Old: 44) */
      0.0, 0.225050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 45 (Old: 45) */
      0.0, -0.287220, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 46 (Old: 46) */
      0.0, -0.507110, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 47 (Old: 47) */
      0.0, -0.207230, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 48 (Old: 48) */
      0.0, -0.063260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 49 (Old: 49) */
      0.0, 0.081280, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 50 (Old: 50) */
      0.0, -0.304980, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 51 (Old: 51) */
      0.0, 0.345640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 52 (Old: 52) */
      0.0, -0.892740, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 53 (Old: 53) */
      0.0, 0.263920, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 54 (Old: 54) */
      0.0, -0.887780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 55 (Old: 55) */
      0.0, 0.985140, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 56 (Old: 56) */
      0.0, -0.033200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 57 (Old: 57) */
      0.0, 0.454460, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 58 (Old: 58) */
      0.0, 0.951400, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 59 (Old: 59) */
      0.0, -0.183910, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 60 (Old: 60) */
      0.0, 0.590070, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 61 (Old: 61) */
      0.0, -0.755390, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 62 (Old: 62) */
      0.0, 0.881260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 63 (Old: 63) */
      0.0, 0.478310, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 64 (Old: 64) */
      0.0, 0.394340, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 65 (Old: 65) */
      0.0, -0.782990, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 66 (Old: 66) */
      0.0, 0.003600, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 67 (Old: 67) */
      0.0, -0.420050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 68 (Old: 68) */
      0.0, 0.427170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 69 (Old: 69) */
      0.0, -0.729850, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 70 (Old: 70) */
      0.0, -0.351080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 71 (Old: 71) */
      0.0, 0.083020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 72 (Old: 72) */
      0.0, -0.919270, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 73 (Old: 73) */
      0.0, -0.549350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 74 (Old: 74) */
      0.0, 0.246900, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 75 (Old: 75) */
      0.0, 0.542720, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 76 (Old: 76) */
      0.0, 0.290930, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 77 (Old: 77) */
      0.0, 0.399360, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 78 (Old: 78) */
      0.0, -0.339530, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 79 (Old: 79) */
      0.0, -0.437930, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 80 (Old: 80) */
      0.0, -0.131910, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 81 (Old: 81) */
      0.0, -0.648930, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 82 (Old: 82) */
      0.0, 0.218780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 83 (Old: 83) */
      0.0, -0.637530, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 84 (Old: 84) */
      0.0, -0.688020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 85 (Old: 85) */
      0.0, 0.639060, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 86 (Old: 86) */
      0.0, -0.886790, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 87 (Old: 87) */
      0.0, 0.150230, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 88 (Old: 88) */
      0.0, -0.041330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 89 (Old: 89) */
      0.0, 0.868710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 90 (Old: 90) */
      0.0, -0.827020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 91 (Old: 91) */
      0.0, -0.765170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 92 (Old: 92) */
      0.0, -0.522730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 93 (Old: 93) */
      0.0, 0.202150, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 94 (Old: 94) */
      0.0, -0.376510, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 95 (Old: 95) */
      0.0, -0.523100, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 96 (Old: 96) */
      0.0, 0.189980, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 97 (Old: 97) */
      0.0, 0.749500, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 98 (Old: 98) */
      0.0, 0.030730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 99 (Old: 99) */
      0.0, 0.555070, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 100 (Old: 100) */
      0.0, -0.746240, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 101 (Old: 101) */
      0.0, -0.057640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 102 (Old: 102) */
      0.0, 0.997170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 103 (Old: 103) */
      0.0, -0.721030, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 104 (Old: 104) */
      0.0, 0.962610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 105 (Old: 105) */
      0.0, -0.629780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 106 (Old: 106) */
      0.0, 0.514230, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 107 (Old: 107) */
      0.0, 0.370860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 108 (Old: 108) */
      0.0, -0.931470, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 109 (Old: 109) */
      0.0, -0.871120, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 110 (Old: 110) */
      0.0, -0.618860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 111 (Old: 111) */
      0.0, 0.015780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 112 (Old: 112) */
      0.0, 0.559730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 113 (Old: 113) */
      0.0, -0.152710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 114 (Old: 114) */
      0.0, 0.421940, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 115 (Old: 115) */
      0.0, 0.357870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 116 (Old: 116) */
      0.0, 0.477350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 117 (Old: 117) */
      0.0, 0.652020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 118 (Old: 118) */
      0.0, 0.996370, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 119 (Old: 119) */
      0.0, 0.910430, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 120 (Old: 120) */
      0.0, 0.517650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 121 (Old: 121) */
      0.0, 0.169100, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 122 (Old: 122) */
      0.0, -0.403250, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 123 (Old: 123) */
      0.0, 0.556310, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 124 (Old: 124) */
      0.0, -0.007820, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 125 (Old: 125) */
      0.0, 0.865940, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 126 (Old: 126) */
      0.0, 0.213870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 127 (Old: 127) */
      0.0, 0.041050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 128 (Old: 128) */
      0.0, 0.563720, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 129 (Old: 129) */
      0.0, 0.560980, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 130 (Old: 130) */
      0.0, -0.832410, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 131 (Old: 131) */
      0.0, 0.299560, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 132 (Old: 132) */
      0.0, 0.614610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 133 (Old: 133) */
      0.0, 0.577530, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 134 (Old: 134) */
      0.0, -0.267360, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 135 (Old: 135) */
      0.0, 0.892870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 136 (Old: 136) */
      0.0, -0.566820, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 137 (Old: 137) */
      0.0, 0.938650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 138 (Old: 138) */
      0.0, 0.111810, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 139 (Old: 139) */
      0.0, 0.647170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 140 (Old: 140) */
      0.0, -0.864360, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 141 (Old: 141) */
      0.0, -0.819300, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 142 (Old: 142) */
      0.0, 0.054310, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 143 (Old: 143) */
      0.0, -0.743390, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 144 (Old: 144) */
      0.0, -0.391130, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 145 (Old: 145) */
      0.0, -0.860380, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 146 (Old: 146) */
      0.0, 0.089820, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 147 (Old: 147) */
      0.0, 0.202870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 148 (Old: 148) */
      0.0, -0.786610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 149 (Old: 149) */
      0.0, -0.387090, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 150 (Old: 150) */
      0.0, -0.677470, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 151 (Old: 151) */
      0.0, -0.479400, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 152 (Old: 152) */
      0.0, -0.302540, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 153 (Old: 153) */
      0.0, -0.356310, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 154 (Old: 154) */
      0.0, -0.154420, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 155 (Old: 155) */
      0.0, 0.453760, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 156 (Old: 156) */
      0.0, -0.870780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 157 (Old: 157) */
      0.0, -0.323880, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 158 (Old: 158) */
      0.0, 0.905170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 159 (Old: 159) */
      0.0, 0.253920, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 160 (Old: 160) */
      0.0, -0.236390, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 161 (Old: 161) */
      0.0, 0.702740, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 162 (Old: 162) */
      0.0, 0.245390, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 163 (Old: 163) */
      0.0, -0.289180, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 164 (Old: 164) */
      0.0, 0.948620, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 165 (Old: 165) */
      0.0, -0.682760, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 166 (Old: 166) */
      0.0, 0.845960, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 167 (Old: 167) */
      0.0, -0.485270, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 168 (Old: 168) */
      0.0, 0.488030, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 169 (Old: 169) */
      0.0, -0.803690, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 170 (Old: 170) */
      0.0, 0.244700, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 171 (Old: 171) */
      0.0, 0.360940, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 172 (Old: 172) */
      0.0, 0.577130, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 173 (Old: 173) */
      0.0, -0.297070, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 174 (Old: 174) */
      0.0, 0.497370, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 175 (Old: 175) */
      0.0, 0.542710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 176 (Old: 176) */
      0.0, 0.498160, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 177 (Old: 177) */
      0.0, -0.886440, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 178 (Old: 178) */
      0.0, 0.726570, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 179 (Old: 179) */
      0.0, 0.459880, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 180 (Old: 180) */
      0.0, -0.097410, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 181 (Old: 181) */
      0.0, 0.351960, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 182 (Old: 182) */
      0.0, -0.730160, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 183 (Old: 183) */
      0.0, 0.406590, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 184 (Old: 184) */
      0.0, -0.360120, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 185 (Old: 185) */
      0.0, -0.666290, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 186 (Old: 186) */
      0.0, -0.752610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 187 (Old: 187) */
      0.0, -0.299330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 188 (Old: 188) */
      0.0, 0.853770, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 189 (Old: 189) */
      0.0, -0.797090, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 190 (Old: 190) */
      0.0, 0.492840, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 191 (Old: 191) */
      0.0, -0.222640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 192 (Old: 192) */
      0.0, -0.683780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 193 (Old: 193) */
      0.0, -0.664040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 194 (Old: 194) */
      0.0, 0.254830, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 195 (Old: 195) */
      0.0, -0.514100, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 196 (Old: 196) */
      0.0, 0.781570, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 197 (Old: 197) */
      0.0, -0.701620, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 198 (Old: 198) */
      0.0, -0.118660, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 199 (Old: 199) */
      0.0, -0.715160, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 200 (Old: 200) */
      0.0, 0.313810, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 201 (Old: 201) */
      0.0, -0.383540, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 202 (Old: 202) */
      0.0, 0.309610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 203 (Old: 203) */
      0.0, -0.787170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 204 (Old: 204) */
      0.0, -0.917420, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 205 (Old: 205) */
      0.0, 0.756530, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 206 (Old: 206) */
      0.0, -0.963090, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 207 (Old: 207) */
      0.0, 0.889950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 208 (Old: 208) */
      0.0, -0.229550, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 209 (Old: 209) */
      0.0, 0.923750, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 210 (Old: 210) */
      0.0, 0.247050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 211 (Old: 211) */
      0.0, -0.051210, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 212 (Old: 212) */
      0.0, 0.436150, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 213 (Old: 213) */
      0.0, -0.121080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 214 (Old: 214) */
      0.0, -0.214490, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 215 (Old: 215) */
      0.0, -0.632880, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 216 (Old: 216) */
      0.0, 0.106930, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 217 (Old: 217) */
      0.0, 0.945780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 218 (Old: 218) */
      0.0, 0.056290, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 219 (Old: 219) */
      0.0, 0.430200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 220 (Old: 220) */
      0.0, 0.414550, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 221 (Old: 221) */
      0.0, 0.608640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 222 (Old: 222) */
      0.0, 0.964840, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 223 (Old: 223) */
      0.0, -0.659200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 224 (Old: 224) */
      0.0, -0.146330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 225 (Old: 225) */
      0.0, 0.790440, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 226 (Old: 226) */
      0.0, -0.465950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 227 (Old: 227) */
      0.0, 0.761800, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 228 (Old: 228) */
      0.0, 0.552220, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 229 (Old: 229) */
      0.0, -0.894510, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 230 (Old: 230) */
      0.0, -0.478100, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 231 (Old: 231) */
      0.0, -0.642710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 232 (Old: 232) */
      0.0, -0.652260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 233 (Old: 233) */
      0.0, 0.498040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 234 (Old: 234) */
      0.0, 0.487010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 235 (Old: 235) */
      0.0, 0.323610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 236 (Old: 236) */
      0.0, 0.223560, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 237 (Old: 237) */
      0.0, -0.054640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 238 (Old: 238) */
      0.0, 0.467180, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 239 (Old: 239) */
      0.0, 0.197560, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 240 (Old: 240) */
      0.0, -0.741790, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 241 (Old: 241) */
      0.0, 0.908220, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 242 (Old: 242) */
      0.0, 0.410850, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 243 (Old: 243) */
      0.0, 0.211510, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 244 (Old: 244) */
      0.0, -0.120000, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 245 (Old: 245) */
      0.0, 0.378360, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 246 (Old: 246) */
      0.0, -0.645150, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 247 (Old: 247) */
      0.0, 0.049040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 248 (Old: 248) */
      0.0, 0.817710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 249 (Old: 249) */
      0.0, 0.475200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 250 (Old: 250) */
      0.0, -0.834090, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 251 (Old: 251) */
      0.0, -0.956870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 252 (Old: 252) */
      0.0, 0.335810, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 253 (Old: 253) */
      0.0, -0.804150, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 254 (Old: 254) */
      0.0, 0.518730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 255 (Old: 255) */
      0.0, 0.253670, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 256 (Old: 256) */
      0.0, -0.504570, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 257 (Old: 257) */
      0.0, 0.084350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 258 (Old: 258) */
      0.0, -0.801260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 259 (Old: 259) */
      0.0, 0.154210, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 260 (Old: 260) */
      0.0, -0.131850, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 261 (Old: 261) */
      0.0, -0.940920, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 262 (Old: 262) */
      0.0, 0.292260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 263 (Old: 263) */
      0.0, 0.136990, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 264 (Old: 264) */
      0.0, 0.641820, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 265 (Old: 265) */
      0.0, 0.569360, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 266 (Old: 266) */
      0.0, 0.325650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 267 (Old: 267) */
      0.0, 0.091260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 268 (Old: 268) */
      0.0, 0.910550, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 269 (Old: 269) */
      0.0, -0.367760, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 270 (Old: 270) */
      0.0, 0.875700, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 271 (Old: 271) */
      0.0, -0.102750, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 272 (Old: 272) */
      0.0, 0.367660, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 273 (Old: 273) */
      0.0, 0.463560, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 274 (Old: 274) */
      0.0, -0.001530, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 275 (Old: 275) */
      0.0, 0.874930, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 276 (Old: 276) */
      0.0, -0.929650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 277 (Old: 277) */
      0.0, -0.459150, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 278 (Old: 278) */
      0.0, -0.612630, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 279 (Old: 279) */
      0.0, 0.696050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 280 (Old: 280) */
      0.0, -0.410040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 281 (Old: 281) */
      0.0, -0.459910, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 282 (Old: 282) */
      0.0, -0.685130, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 283 (Old: 283) */
      0.0, -0.235860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 284 (Old: 284) */
      0.0, -0.910900, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 285 (Old: 285) */
      0.0, 0.041220, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 286 (Old: 286) */
      0.0, -0.054170, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 287 (Old: 287) */
      0.0, 0.941230, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 288 (Old: 288) */
      0.0, -0.215220, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 289 (Old: 289) */
      0.0, 0.904860, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 290 (Old: 290) */
      0.0, -0.185540, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 291 (Old: 291) */
      0.0, 0.194710, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 292 (Old: 292) */
      0.0, -0.808790, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 293 (Old: 293) */
      0.0, 0.339740, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 294 (Old: 294) */
      0.0, 0.378330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 295 (Old: 295) */
      0.0, -0.709890, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 296 (Old: 296) */
      0.0, -0.468300, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 297 (Old: 297) */
      0.0, 0.802750, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 298 (Old: 298) */
      0.0, 0.319080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 299 (Old: 299) */
      0.0, 0.196520, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 300 (Old: 300) */
      0.0, -0.970330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 301 (Old: 301) */
      0.0, -0.259190, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 302 (Old: 302) */
      0.0, -0.663920, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 303 (Old: 303) */
      0.0, 0.125760, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 304 (Old: 304) */
      0.0, -0.582450, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 305 (Old: 305) */
      0.0, 0.881080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 306 (Old: 306) */
      0.0, 0.729730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 307 (Old: 307) */
      0.0, -0.087650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 308 (Old: 308) */
      0.0, -0.860900, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 309 (Old: 309) */
      0.0, -0.769800, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 310 (Old: 310) */
      0.0, 0.220210, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 311 (Old: 311) */
      0.0, 0.170880, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 312 (Old: 312) */
      0.0, -0.713730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 313 (Old: 313) */
      0.0, 0.426480, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 314 (Old: 314) */
      0.0, 0.784490, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 315 (Old: 315) */
      0.0, -0.153350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 316 (Old: 316) */
      0.0, -0.555200, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 317 (Old: 317) */
      0.0, 0.715500, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 318 (Old: 318) */
      0.0, -0.617350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 319 (Old: 319) */
      0.0, -0.496190, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 320 (Old: 320) */
      0.0, 0.179950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 321 (Old: 321) */
      0.0, 0.049770, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 322 (Old: 322) */
      0.0, 0.311080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 323 (Old: 323) */
      0.0, 0.166400, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 324 (Old: 324) */
      0.0, 0.952700, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 325 (Old: 325) */
      0.0, -0.051620, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 326 (Old: 326) */
      0.0, -0.435780, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 327 (Old: 327) */
      0.0, 0.527950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 328 (Old: 328) */
      0.0, -0.389730, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 329 (Old: 329) */
      0.0, -0.559900, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 330 (Old: 330) */
      0.0, -0.525500, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 331 (Old: 331) */
      0.0, 0.756870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 332 (Old: 332) */
      0.0, 0.258960, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 333 (Old: 333) */
      0.0, -0.856500, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 334 (Old: 334) */
      0.0, -0.532010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 335 (Old: 335) */
      0.0, 0.420840, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 336 (Old: 336) */
      0.0, -0.967320, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 337 (Old: 337) */
      0.0, 0.143790, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 338 (Old: 338) */
      0.0, 0.924370, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 339 (Old: 339) */
      0.0, -0.196650, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 340 (Old: 340) */
      0.0, 0.968810, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 341 (Old: 341) */
      0.0, -0.513450, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 342 (Old: 342) */
      0.0, 0.738640, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 343 (Old: 343) */
      0.0, 0.250870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 344 (Old: 344) */
      0.0, 0.565010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 345 (Old: 345) */
      0.0, -0.155590, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 346 (Old: 346) */
      0.0, 0.588670, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 347 (Old: 347) */
      0.0, -0.574040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 348 (Old: 348) */
      0.0, -0.496740, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 349 (Old: 349) */
      0.0, 0.089330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 350 (Old: 350) */
      0.0, 0.429460, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 351 (Old: 351) */
      0.0, -0.700440, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 352 (Old: 352) */
      0.0, 0.099980, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 353 (Old: 353) */
      0.0, -0.670020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 354 (Old: 354) */
      0.0, 0.139510, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 355 (Old: 355) */
      0.0, 0.338010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 356 (Old: 356) */
      0.0, -0.901740, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 357 (Old: 357) */
      0.0, 0.502250, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 358 (Old: 358) */
      0.0, 0.286410, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 359 (Old: 359) */
      0.0, 0.164260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 360 (Old: 360) */
      0.0, 0.005890, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 361 (Old: 361) */
      0.0, -0.770590, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 362 (Old: 362) */
      0.0, -0.126330, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 363 (Old: 363) */
      0.0, -0.371000, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 364 (Old: 364) */
      0.0, -0.935520, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 365 (Old: 365) */
      0.0, 0.635260, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 366 (Old: 366) */
      0.0, -0.135610, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 367 (Old: 367) */
      0.0, 0.940670, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 368 (Old: 368) */
      0.0, 0.592080, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 369 (Old: 369) */
      0.0, 0.684470, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 370 (Old: 370) */
      0.0, -0.095190, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 371 (Old: 371) */
      0.0, 0.592020, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 372 (Old: 372) */
      0.0, 0.577430, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 373 (Old: 373) */
      0.0, 0.865410, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 374 (Old: 374) */
      0.0, 0.613810, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 375 (Old: 375) */
      0.0, -0.803040, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 376 (Old: 376) */
      0.0, -0.564100, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 377 (Old: 377) */
      0.0, 0.394820, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 378 (Old: 378) */
      0.0, 0.155980, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 379 (Old: 379) */
      0.0, -0.979050, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 380 (Old: 380) */
      0.0, -0.594240, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 381 (Old: 381) */
      0.0, 0.225060, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 382 (Old: 382) */
      0.0, 0.636120, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 383 (Old: 383) */
      0.0, 0.550540, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 384 (Old: 384) */
      0.0, -0.474770, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 385 (Old: 385) */
      0.0, -0.067010, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 386 (Old: 386) */
      0.0, -0.329470, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 387 (Old: 387) */
      0.0, 0.596340, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 388 (Old: 388) */
      0.0, 0.062350, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 389 (Old: 389) */
      0.0, -0.132990, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 390 (Old: 390) */
      0.0, 0.805070, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 391 (Old: 391) */
      0.0, 0.445950, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 392 (Old: 392) */
      0.0, 0.965380, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 393 (Old: 393) */
      0.0, -0.127770, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 394 (Old: 394) */
      0.0, -0.773880, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 395 (Old: 395) */
      0.0, 0.859620, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 396 (Old: 396) */
      0.0, 0.875960, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 397 (Old: 397) */
      0.0, 0.493390, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 398 (Old: 398) */
      0.0, 0.385870, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 399 (Old: 399) */
      0.0, -0.793280, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 400 (Old: 400) */
      0.0, 0.731850, 0,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 401 (Old: 401) */
      0.0, -1.447250, 100,
       &Sources[0] , 
       &Weights[0] , 
      },
    { /* unit 402 (Old: 402) */
      0.0, -1.791520, 100,
       &Sources[100] , 
       &Weights[100] , 
      },
    { /* unit 403 (Old: 403) */
      0.0, -1.902840, 100,
       &Sources[200] , 
       &Weights[200] , 
      },
    { /* unit 404 (Old: 404) */
      0.0, 1.273710, 100,
       &Sources[300] , 
       &Weights[300] , 
      },
    { /* unit 405 (Old: 405) */
      0.0, -1.721620, 100,
       &Sources[400] , 
       &Weights[400] , 
      },
    { /* unit 406 (Old: 406) */
      0.0, 0.869270, 100,
       &Sources[500] , 
       &Weights[500] , 
      },
    { /* unit 407 (Old: 407) */
      0.0, -3.138190, 100,
       &Sources[600] , 
       &Weights[600] , 
      },
    { /* unit 408 (Old: 408) */
      0.0, -3.559420, 100,
       &Sources[700] , 
       &Weights[700] , 
      },
    { /* unit 409 (Old: 409) */
      0.0, -0.500990, 25,
       &Sources[800] , 
       &Weights[800] , 
      },
    { /* unit 410 (Old: 410) */
      0.0, 0.999160, 25,
       &Sources[825] , 
       &Weights[825] , 
      },
    { /* unit 411 (Old: 411) */
      0.0, 0.210010, 25,
       &Sources[850] , 
       &Weights[850] , 
      },
    { /* unit 412 (Old: 412) */
      0.0, -0.842640, 25,
       &Sources[875] , 
       &Weights[875] , 
      },
    { /* unit 413 (Old: 413) */
      0.0, 1.409490, 25,
       &Sources[900] , 
       &Weights[900] , 
      },
    { /* unit 414 (Old: 414) */
      0.0, -1.985590, 25,
       &Sources[925] , 
       &Weights[925] , 
      },
    { /* unit 415 (Old: 415) */
      0.0, -2.582500, 25,
       &Sources[950] , 
       &Weights[950] , 
      },
    { /* unit 416 (Old: 416) */
      0.0, -0.867880, 25,
       &Sources[975] , 
       &Weights[975] , 
      },
    { /* unit 417 (Old: 417) */
      0.0, -2.124480, 25,
       &Sources[1000] , 
       &Weights[1000] , 
      },
    { /* unit 418 (Old: 418) */
      0.0, -1.759180, 25,
       &Sources[1025] , 
       &Weights[1025] , 
      },
    { /* unit 419 (Old: 419) */
      0.0, -1.434290, 25,
       &Sources[1050] , 
       &Weights[1050] , 
      },
    { /* unit 420 (Old: 420) */
      0.0, 1.870700, 25,
       &Sources[1075] , 
       &Weights[1075] , 
      },
    { /* unit 421 (Old: 421) */
      0.0, 0.375800, 25,
       &Sources[1100] , 
       &Weights[1100] , 
      },
    { /* unit 422 (Old: 422) */
      0.0, 0.149130, 25,
       &Sources[1125] , 
       &Weights[1125] , 
      },
    { /* unit 423 (Old: 423) */
      0.0, 1.008720, 25,
       &Sources[1150] , 
       &Weights[1150] , 
      },
    { /* unit 424 (Old: 424) */
      0.0, 1.351120, 25,
       &Sources[1175] , 
       &Weights[1175] , 
      },
    { /* unit 425 (Old: 425) */
      0.0, 1.503890, 25,
       &Sources[1200] , 
       &Weights[1200] , 
      },
    { /* unit 426 (Old: 426) */
      0.0, 0.189560, 25,
       &Sources[1225] , 
       &Weights[1225] , 
      },
    { /* unit 427 (Old: 427) */
      0.0, -0.968130, 25,
       &Sources[1250] , 
       &Weights[1250] , 
      },
    { /* unit 428 (Old: 428) */
      0.0, 2.613050, 25,
       &Sources[1275] , 
       &Weights[1275] , 
      },
    { /* unit 429 (Old: 429) */
      0.0, -1.279770, 25,
       &Sources[1300] , 
       &Weights[1300] , 
      },
    { /* unit 430 (Old: 430) */
      0.0, -0.347460, 25,
       &Sources[1325] , 
       &Weights[1325] , 
      },
    { /* unit 431 (Old: 431) */
      0.0, 1.067770, 25,
       &Sources[1350] , 
       &Weights[1350] , 
      },
    { /* unit 432 (Old: 432) */
      0.0, 0.033320, 25,
       &Sources[1375] , 
       &Weights[1375] , 
      },
    { /* unit 433 (Old: 433) */
      0.0, -2.012640, 25,
       &Sources[1400] , 
       &Weights[1400] , 
      },
    { /* unit 434 (Old: 434) */
      0.0, -1.599100, 25,
       &Sources[1425] , 
       &Weights[1425] , 
      },
    { /* unit 435 (Old: 435) */
      0.0, 0.741100, 25,
       &Sources[1450] , 
       &Weights[1450] , 
      },
    { /* unit 436 (Old: 436) */
      0.0, 0.518800, 25,
       &Sources[1475] , 
       &Weights[1475] , 
      },
    { /* unit 437 (Old: 437) */
      0.0, -2.709720, 25,
       &Sources[1500] , 
       &Weights[1500] , 
      },
    { /* unit 438 (Old: 438) */
      0.0, -1.719620, 25,
       &Sources[1525] , 
       &Weights[1525] , 
      },
    { /* unit 439 (Old: 439) */
      0.0, -1.550330, 25,
       &Sources[1550] , 
       &Weights[1550] , 
      },
    { /* unit 440 (Old: 440) */
      0.0, -1.267050, 25,
       &Sources[1575] , 
       &Weights[1575] , 
      },
    { /* unit 441 (Old: 441) */
      0.0, 0.473570, 100,
       &Sources[1600] , 
       &Weights[1600] , 
      },
    { /* unit 442 (Old: 442) */
      0.0, 2.636130, 100,
       &Sources[1700] , 
       &Weights[1700] , 
      },
    { /* unit 443 (Old: 443) */
      0.0, -1.197030, 100,
       &Sources[1800] , 
       &Weights[1800] , 
      },
    { /* unit 444 (Old: 444) */
      0.0, 3.203150, 100,
       &Sources[1900] , 
       &Weights[1900] , 
      },
    { /* unit 445 (Old: 445) */
      0.0, 2.286150, 100,
       &Sources[2000] , 
       &Weights[2000] , 
      },
    { /* unit 446 (Old: 446) */
      0.0, -2.416300, 100,
       &Sources[2100] , 
       &Weights[2100] , 
      },
    { /* unit 447 (Old: 447) */
      0.0, -0.828630, 100,
       &Sources[2200] , 
       &Weights[2200] , 
      },
    { /* unit 448 (Old: 448) */
      0.0, 1.382750, 100,
       &Sources[2300] , 
       &Weights[2300] , 
      },
    { /* unit 449 (Old: 449) */
      0.0, 3.494870, 100,
       &Sources[2400] , 
       &Weights[2400] , 
      },
    { /* unit 450 (Old: 450) */
      0.0, 0.751050, 100,
       &Sources[2500] , 
       &Weights[2500] , 
      },
    { /* unit 451 (Old: 451) */
      0.0, 0.736770, 100,
       &Sources[2600] , 
       &Weights[2600] , 
      },
    { /* unit 452 (Old: 452) */
      0.0, -2.975900, 100,
       &Sources[2700] , 
       &Weights[2700] , 
      },
    { /* unit 453 (Old: 453) */
      0.0, -0.110370, 52,
       &Sources[2800] , 
       &Weights[2800] , 
      },
    { /* unit 454 (Old: 454) */
      0.0, -1.981420, 52,
       &Sources[2852] , 
       &Weights[2852] , 
      },
    { /* unit 455 (Old: 455) */
      0.0, -2.187290, 2,
       &Sources[2904] , 
       &Weights[2904] , 
      }

  };



int nn3(float *in, float *out, int init)
{
  int member, source;
  float sum;
  enum{OK, Error, Not_Valid};
  pUnit unit;


  /* layer definition section (names & member units) */

  static pUnit Input[400] = {Units + 1, Units + 2, Units + 3, Units + 4, Units + 5, Units + 6, Units + 7, Units + 8, Units + 9, Units + 10, Units + 11, Units + 12, Units + 13, Units + 14, Units + 15, Units + 16, Units + 17, Units + 18, Units + 19, Units + 20, Units + 21, Units + 22, Units + 23, Units + 24, Units + 25, Units + 26, Units + 27, Units + 28, Units + 29, Units + 30, Units + 31, Units + 32, Units + 33, Units + 34, Units + 35, Units + 36, Units + 37, Units + 38, Units + 39, Units + 40, Units + 41, Units + 42, Units + 43, Units + 44, Units + 45, Units + 46, Units + 47, Units + 48, Units + 49, Units + 50, Units + 51, Units + 52, Units + 53, Units + 54, Units + 55, Units + 56, Units + 57, Units + 58, Units + 59, Units + 60, Units + 61, Units + 62, Units + 63, Units + 64, Units + 65, Units + 66, Units + 67, Units + 68, Units + 69, Units + 70, Units + 71, Units + 72, Units + 73, Units + 74, Units + 75, Units + 76, Units + 77, Units + 78, Units + 79, Units + 80, Units + 81, Units + 82, Units + 83, Units + 84, Units + 85, Units + 86, Units + 87, Units + 88, Units + 89, Units + 90, Units + 91, Units + 92, Units + 93, Units + 94, Units + 95, Units + 96, Units + 97, Units + 98, Units + 99, Units + 100, Units + 101, Units + 102, Units + 103, Units + 104, Units + 105, Units + 106, Units + 107, Units + 108, Units + 109, Units + 110, Units + 111, Units + 112, Units + 113, Units + 114, Units + 115, Units + 116, Units + 117, Units + 118, Units + 119, Units + 120, Units + 121, Units + 122, Units + 123, Units + 124, Units + 125, Units + 126, Units + 127, Units + 128, Units + 129, Units + 130, Units + 131, Units + 132, Units + 133, Units + 134, Units + 135, Units + 136, Units + 137, Units + 138, Units + 139, Units + 140, Units + 141, Units + 142, Units + 143, Units + 144, Units + 145, Units + 146, Units + 147, Units + 148, Units + 149, Units + 150, Units + 151, Units + 152, Units + 153, Units + 154, Units + 155, Units + 156, Units + 157, Units + 158, Units + 159, Units + 160, Units + 161, Units + 162, Units + 163, Units + 164, Units + 165, Units + 166, Units + 167, Units + 168, Units + 169, Units + 170, Units + 171, Units + 172, Units + 173, Units + 174, Units + 175, Units + 176, Units + 177, Units + 178, Units + 179, Units + 180, Units + 181, Units + 182, Units + 183, Units + 184, Units + 185, Units + 186, Units + 187, Units + 188, Units + 189, Units + 190, Units + 191, Units + 192, Units + 193, Units + 194, Units + 195, Units + 196, Units + 197, Units + 198, Units + 199, Units + 200, Units + 201, Units + 202, Units + 203, Units + 204, Units + 205, Units + 206, Units + 207, Units + 208, Units + 209, Units + 210, Units + 211, Units + 212, Units + 213, Units + 214, Units + 215, Units + 216, Units + 217, Units + 218, Units + 219, Units + 220, Units + 221, Units + 222, Units + 223, Units + 224, Units + 225, Units + 226, Units + 227, Units + 228, Units + 229, Units + 230, Units + 231, Units + 232, Units + 233, Units + 234, Units + 235, Units + 236, Units + 237, Units + 238, Units + 239, Units + 240, Units + 241, Units + 242, Units + 243, Units + 244, Units + 245, Units + 246, Units + 247, Units + 248, Units + 249, Units + 250, Units + 251, Units + 252, Units + 253, Units + 254, Units + 255, Units + 256, Units + 257, Units + 258, Units + 259, Units + 260, Units + 261, Units + 262, Units + 263, Units + 264, Units + 265, Units + 266, Units + 267, Units + 268, Units + 269, Units + 270, Units + 271, Units + 272, Units + 273, Units + 274, Units + 275, Units + 276, Units + 277, Units + 278, Units + 279, Units + 280, Units + 281, Units + 282, Units + 283, Units + 284, Units + 285, Units + 286, Units + 287, Units + 288, Units + 289, Units + 290, Units + 291, Units + 292, Units + 293, Units + 294, Units + 295, Units + 296, Units + 297, Units + 298, Units + 299, Units + 300, Units + 301, Units + 302, Units + 303, Units + 304, Units + 305, Units + 306, Units + 307, Units + 308, Units + 309, Units + 310, Units + 311, Units + 312, Units + 313, Units + 314, Units + 315, Units + 316, Units + 317, Units + 318, Units + 319, Units + 320, Units + 321, Units + 322, Units + 323, Units + 324, Units + 325, Units + 326, Units + 327, Units + 328, Units + 329, Units + 330, Units + 331, Units + 332, Units + 333, Units + 334, Units + 335, Units + 336, Units + 337, Units + 338, Units + 339, Units + 340, Units + 341, Units + 342, Units + 343, Units + 344, Units + 345, Units + 346, Units + 347, Units + 348, Units + 349, Units + 350, Units + 351, Units + 352, Units + 353, Units + 354, Units + 355, Units + 356, Units + 357, Units + 358, Units + 359, Units + 360, Units + 361, Units + 362, Units + 363, Units + 364, Units + 365, Units + 366, Units + 367, Units + 368, Units + 369, Units + 370, Units + 371, Units + 372, Units + 373, Units + 374, Units + 375, Units + 376, Units + 377, Units + 378, Units + 379, Units + 380, Units + 381, Units + 382, Units + 383, Units + 384, Units + 385, Units + 386, Units + 387, Units + 388, Units + 389, Units + 390, Units + 391, Units + 392, Units + 393, Units + 394, Units + 395, Units + 396, Units + 397, Units + 398, Units + 399, Units + 400}; /* members */

  static pUnit Hidden1[2] = {Units + 401, Units + 405}; /* members */

  static pUnit Hidden2[2] = {Units + 402, Units + 406}; /* members */

  static pUnit Hidden3[2] = {Units + 403, Units + 407}; /* members */

  static pUnit Hidden4[2] = {Units + 404, Units + 408}; /* members */

  static pUnit Hidden5[2] = {Units + 409, Units + 425}; /* members */

  static pUnit Hidden6[2] = {Units + 410, Units + 426}; /* members */

  static pUnit Hidden7[2] = {Units + 411, Units + 427}; /* members */

  static pUnit Hidden8[2] = {Units + 412, Units + 428}; /* members */

  static pUnit Hidden9[2] = {Units + 413, Units + 429}; /* members */

  static pUnit Hidden10[2] = {Units + 414, Units + 430}; /* members */

  static pUnit Hidden11[2] = {Units + 415, Units + 431}; /* members */

  static pUnit Hidden12[2] = {Units + 416, Units + 432}; /* members */

  static pUnit Hidden13[2] = {Units + 417, Units + 433}; /* members */

  static pUnit Hidden14[2] = {Units + 418, Units + 434}; /* members */

  static pUnit Hidden15[2] = {Units + 419, Units + 435}; /* members */

  static pUnit Hidden16[2] = {Units + 420, Units + 436}; /* members */

  static pUnit Hidden17[2] = {Units + 421, Units + 437}; /* members */

  static pUnit Hidden18[2] = {Units + 422, Units + 438}; /* members */

  static pUnit Hidden19[2] = {Units + 423, Units + 439}; /* members */

  static pUnit Hidden20[2] = {Units + 424, Units + 440}; /* members */

  static pUnit Hidden21[2] = {Units + 441, Units + 447}; /* members */

  static pUnit Hidden22[2] = {Units + 442, Units + 448}; /* members */

  static pUnit Hidden23[2] = {Units + 443, Units + 449}; /* members */

  static pUnit Hidden24[2] = {Units + 444, Units + 450}; /* members */

  static pUnit Hidden25[2] = {Units + 445, Units + 451}; /* members */

  static pUnit Hidden26[2] = {Units + 446, Units + 452}; /* members */

  static pUnit Hidden27[2] = {Units + 453, Units + 454}; /* members */

  static pUnit Output1[1] = {Units + 455}; /* members */

  static int Output[1] = {455};

  for(member = 0; member < 400; member++) {
    Input[member]->act = in[member];
  }

  for (member = 0; member < 2; member++) {
    unit = Hidden1[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden2[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden3[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden4[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden5[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden6[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden7[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden8[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden9[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden10[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden11[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden12[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden13[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden14[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden15[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden16[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden17[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden18[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden19[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden20[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden21[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden22[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden23[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden24[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden25[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden26[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 2; member++) {
    unit = Hidden27[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for (member = 0; member < 1; member++) {
    unit = Output1[member];
    sum = 0.0;
    for (source = 0; source < unit->NoOfSources; source++) {
      sum += unit->sources[source]->act
             * unit->weights[source];
    }
    unit->act = Act_Logistic(sum, unit->Bias);
  };

  for(member = 0; member < 1; member++) {
    out[member] = Units[Output[member]].act;
  }

  return(OK);
}
