/*
   This file is part of the MoCA video library.
   Name: ObjectMaskShot.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*! \file

	analyse one shot, get object mask of moving objects
  
   \author    Stephan Kopf
   
	Lehrstuhl fuer Praktische Informatik IV
	Universitaet Mannheim
	68131 Mannheim
	Germany
	email: kopf@informatik.uni-mannheim.de
	
	 (c) Lehrstuhl fuer Praktische Informatik IV, details in COPYRIGHT.txt
	 
*/


#ifndef OBJECT_MASK_SHOT_H
#define OBJECT_MASK_SHOT_H

// C++ includes
#include <string>
#include <iostream>
using namespace std;

// MoCA includes
#include <VideoDecoder.h>
#include <CutDetectionFeature.h>
#include <CameraModel.h>
#include <IYuvVideo.h>
#include <OYuvVideo.h>
#include <RegionFeature.h>
#include <ContourParametrization.h>
#include <CameraBackgroundFeature.h>
#include <DifferenceFilter.h>
#include <IImageStream.h>
#include <ContourEdgeList.h>
#include <DrawDot.h>
#include <LogoDetection.h>
#include <TrackingFeature.h>


class ObjectMaskShot
{
public:

	// minimumShotLength=12, preciseCalculation=false
	ObjectMaskShot ();

	~ObjectMaskShot(){}

	void process (const Video<uint8> &src, Video<uint8> &mask);

private:

	int32 cropLeft, cropRight, cropTop, cropBottom;

};

#endif
