/*
   This file is part of the MoCA video library.
   Name: ContourExtractionFilter.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

#ifndef CONTOUR_EXTEACTION_FILTER_H
#define CONTOUR_EXTEACTION_FILTER_H

// MoCA includes
#include <GetType.h>
#include <BinarizeFilter.h>
#include <RegionFeature.h>
#include <BinaryContourFilter.h>
#include <ForEachAlgos.h>

/*!
  extracts the contour of the largest object in an image

  \todo works only on images so far
*/
template<class T>
class ContourExtractionFilter : public ImageFilterBase<T>
{
public:
    //! the default constructor
    ContourExtractionFilter(){}

    //! the destructor
    ~ContourExtractionFilter(){}

    void process(Image<T> &srcDest)
    {
        Image<T> tmp=srcDest;
        process(tmp, srcDest);
	return;
    } // filter

    //! filter method
    void process(const Image<T> &src, Image<T> &dest);

private:

}; // ContourExtractionFilter

#include <ContourExtractionFilter.cpt>
#endif
