/*
   This file is part of the MoCA video library.
   Name: ImageFilterBase.h
   Copyright (C) 2004 Oliver Schuster

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*! \file



   \author    Oliver Schuster
              Stephan Kopf

              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim
              68131 Mannheim
              Germany
              email: kopf@informatik.uni-mannheim.de

   (c) Lehrstuhl fuer Praktische Informatik IV, details in COPYRIGHT.txt

   $Id: ImageFilterBase.h,v 1.1 2004/02/17 11:53:52 kopf Exp $

*/

#ifndef IMAGE_FILTER_BASE_H
#define IMAGE_FILTER_BASE_H

#include <Image.h>

/*!
  Interface for image specific filter
*/
template<class T>
class ImageFilterBase
{
public:
    //! the destructor
    virtual ~ImageFilterBase() {};

    //! the filter method, this does the work
    virtual void process(Image<T>&) = 0;
    virtual void process(const Image<T>&, Image<T>&) = 0;
}; // ImageFilterBase


#endif
