/*
    InverseFilter.cpp     invert image
    Copyright (C) 2004 Stephan Kopf

	Lehrstuhl fuer Praktische Informatik IV
	Universitaet Mannheim
	68131 Mannheim
	Germany
	email: kopf@informatik.uni-mannheim.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/



#include<InverseFilter.h>

/*!

  The filter istelf, the input data is read from src, the output data
  written into dest. If dest does not have the same size as src, dest
  is resized.

  \param src source image
  \param dest destination image

 */
void
InverseFilter::process(const Image<uint8> &src, Image<uint8> &dest)
{
    ImageSize sizeSrc = src.getSize();

    // do the inverse filtering
    for (sizeType band = 0; band < sizeSrc[DIM_BAND]; band++) {
        for (sizeType y = 0; y < sizeSrc[DIM_Y]; y++) {
            for (sizeType x = 0; x < sizeSrc[DIM_X]; x++) {
				dest(x,y,band) = (255- src (x,y,band));
            } // for
        } // for
    } // for

} // InverseFilter<T>::process

