/*
    DrawDot.cpp     draw a dot 
    Copyright (C) 2004 Stephan Kopf

	Lehrstuhl fuer Praktische Informatik IV
	Universitaet Mannheim
	68131 Mannheim
	Germany
	email: kopf@informatik.uni-mannheim.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/



#include<DrawDot.h>

void
DrawDot::process (ImagePosition p1, const Color &c, Image<uint8>& srcDest)
{
	// draw dot
	int i,j,b;
	for (i=-dotSize+1; i<dotSize; i++) {
		for (j=-dotSize+1; j<dotSize; j++) {
			for (b=0; b<(srcDest.getSize())[DIM_BAND]; b++) {
				srcDest (i+p1[DIM_X], j+p1[DIM_Y], b) = c[b];
			} // for
		} // for
	} // for
    return;
} // process

void
DrawDot::process (ImagePosition p1, const Color &c, const Image<uint8>& src, Image<uint8>& dest)
{
	dest=src;
	process (p1, c, dest);
    return;
} // process

