/*
   This file is part of the MoCA video library.
   Name: JpegParameter.h
   Copyright (C) 2004 Gerald Kuehne

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: schuster@informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*! \file



   \author    Gerald Kuehne

              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim
              68131 Mannheim
              Germany
              email: schuster@informatik.uni-mannheim.de

   (c) Lehrstuhl fuer Praktische Informatik IV, details in COPYRIGHT.txt

   $Id: JpegParameter.h,v 1.1 2004/02/17 12:00:48 kopf Exp $

*/

#ifndef JPEG_PARAMETER_H
#define JPEG_PARAMETER_H

// Moca includes
#include <FormatParameter.h>

/*!

  Format specific parameter collection for jpegs

 */
struct JpegParameter : public FormatParameter
{
    //! the default constructor
    JpegParameter(uint32 quality = 100, uint32 smoothing = 0) {
      this->quality =   (quality   > 100) ? 100 : quality;
      this->smoothing = (smoothing > 100) ? 100 : smoothing;
    }

    //! destructor
    ~JpegParameter() {};

    //! return desired quality
    uint32 getQuality() const { return quality; };
    uint32 getSmoothing() const { return smoothing; };

private:
  uint32 quality;
  uint32 smoothing;
}; // JpegParameter


#endif
