/*
   This file is part of the MoCA video library.
   Name: OMpegMplex.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kopf@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/* -*- C++ -*-

 OMpegMplex.h -- Interface for MPEG audio
 
  Author: Stephan Kopf
  Lehrstuhl fuer Praktische Informatik IV
  Universitaet Mannheim, Germany
  email: kopf@pi4.informatik.uni-mannheim.de
  

*/

#ifndef O_MPEG_MPLEX_H
#define O_MPEG_MPLEX_H


// C includes
#include <stdio.h>

#ifdef COMPILER_MSVC
#include <process.h>
#endif

// C++ includes
#include <string>
#include <iostream>
using namespace std;

// MoCA includes
#include <FileHandling.h>


class OMpegMplex 
{
private:
	static const string WINDOWS_MPLEX_EXECUTABLE;
	static const string LINUX_MPLEX_EXECUTABLE;

public:
	// constuctor 
	OMpegMplex () {}

	// destructor
	~OMpegMplex () {}
	
	static void process(string &fileIn1, string &fileIn2, string &fileOut); 
private:

        static string getCommand ()
	{
	    string cmd = LINUX_MPLEX_EXECUTABLE;
#ifdef _WIN32
	    cmd = WINDOWS_MPLEX_EXECUTABLE;
#endif 
	    return cmd;
	} // getCommand
};


#endif
