/*
   This file is part of the MoCA video library.
   Name: OpenProcess.h
   Copyright (C) 2004 Stephan Kopf

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: {kuehne,kopf}@pi4.informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/* -*- C++ -*-

   Color.h  -- defines a struct Color and several default colors

   Author:    Stephan Kopf
              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim, Germany
              email: {kuehne,kopf}@pi4.informatik.uni-mannheim.de

   $Id: 
*/



#ifndef OPEN_PROCESS_H
#define OPEN_PROCESS_H

// C++ includes
#include <iostream>
#include <string>
using namespace std;


// MoCA includes
#include <MocaTypes.h>


enum OpenProcessMode {
    P_UNKNOWN,
    P_READ,
    P_WRITE
};

class OpenProcess 
{
public:

    // open process
    //   d_fh: file handler
    //   cmd:  command
    //   mode: 1=read, 2=write 
    static void open(FILE **d_fh, string &cmd, OpenProcessMode mode=P_UNKNOWN, bool silent=false);

	// close process	
	static void close(FILE **d_fh) {
		int error = pclose(*d_fh);
		if (error == -1) {
			cerr << "error while closing process!"<< endl;
		} // if
		*d_fh = NULL;
	} // close

};

#endif

