/*
    ImageEdgePosition.cpp     handle pixel directions
    Copyright (C) 2004 Stephan Kopf

	Lehrstuhl fuer Praktische Informatik IV
	Universitaet Mannheim
	68131 Mannheim
	Germany
	email: kopf@informatik.uni-mannheim.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include <ImageEdgePosition.h>

std::ostream& operator<< (ostream& os, const ImageEdgePosition &ie)
{
    os << ie[DIM_X] << ", " << ie[DIM_Y] << ", ";
    switch (ie.getEdgePosition()) {
    case NORTH:
        os << "NORTH";
        break;
    case SOUTH:
        os << "SOUTH";
        break;
    case EAST:
        os << "EAST";
        break;
    case WEST:
        os << "WEST";
        break;
    default:
        os << "no stinking direction";
        break;
    } // switch
    return os;
} // operator<<

