/*
   This file is part of the MoCA video library.
   Name: SvdFit.h
   Copyright (C) 2004 Gerald Kuehne

   Lehrstuhl fuer Praktische Informatik IV
   Universitaet Mannheim
   68131 Mannheim
   Germany
   email: kuehne@informatik.uni-mannheim.de

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/*! \file

   least squares fit by singular value decomposition

   \author    Gerald Kuehne

              Lehrstuhl fuer Praktische Informatik IV
              Universitaet Mannheim
              68131 Mannheim
              Germany
              email: kuehne@informatik.uni-mannheim.de

   (c) Lehrstuhl fuer Praktische Informatik IV, details in COPYRIGHT.txt

   $Id: SvdFit.h,v 1.1 2004/02/17 12:01:05 kopf Exp $

*/

#ifndef SVD_FIT_H
#define SVD_FIT_H

// C++ includes
#include <math.h>

// MoCA includes
#include <MocaTypes.h>
#include <MocaExceptions.h>
#include <Vector.h>
#include <Matrix.h>

class SvdFit
{
public:
    ieee64 solve(Matrix<double>&, Vector<double>&, Vector<double>&);

private:
    void svdcmp(Matrix<ieee64>&, Vector<ieee64>&, Matrix<ieee64>&) throw (MocaException);
    void svbksb(Matrix<ieee64>&, Vector<ieee64>&, Matrix<ieee64>&,
                Vector<ieee64>&, Vector<ieee64>&);
};

#endif



